-- All data in this file is copyrighted to the author (oscarucb), all rights reserved
PV_svnrev["PV_data.lua"] = tonumber(("$Revision: 221 $"):match("%d+"))

PV_Data_VersionInfo = {
	   ["DBversion"] = 7,
	   ["DBrevision"] = tonumber(("$Revision: 221 $"):match("%d+")),
           ["clientexpansion"] = 3,
           ["clientversion"] = "4.1.0",
           ["clientbuildmin"] = "13914",
           ["clientbuildmax"] = "13914",
}

local _fakeid = 1000000
local function fakeid() 
  _fakeid = _fakeid + 1
  return _fakeid
end

local locale = GetLocale()
if locale == "enGB" then locale = "enUS" end

-- cases where the localized name on the pattern or crafted item and taught spell don't match or duplicate
-- transmutes, figurines and other minor differences like punctuation and capitalization are handled programmatically
-- array format:   
--  [recipe_itemid] = tradeskill_spellid   
--        or
--  [crafted_itemid] = tradeskill_spellid   
--        or
--  [{recipe_itemid, crafted_itemid}] = tradeskill_spellid
-- For enchants, crafted item is scroll of enchant

-- first the locale-specific exceptions
  -- [{,}] = , -- 
if locale == "enUS" then PV_Exceptions_ItoS_locale = {
  [{44498,44470}] = 60767, -- Enchant Bracer(s) - Superior Spellpower
  [{44944,44947}] = 62256, -- Enchant Bracer(s) - Major Stamina
  [{37346,38984}] = 44598, -- Enchant Bracer(s) - Expertise (pat never released - trainer pat)
} elseif locale == "frFR" then PV_Exceptions_ItoS_locale = {
  [{25895,25910}] = 32874, -- Diamant brûleciel énigmatique
  [{41742,41335}] = 55393, -- Diamant flambeciel énigmatique
  [41339] = 55394, -- Diamant flambeciel de rapidit
  [{41705,41377}] = 55384, -- Diamant flambeciel protg
  [40087] = 53904, -- Potion de rgnration puissante (Powerful Rejuv Potion), name collision
  [57193] = 80490, -- Potion de rgnration puissante (Mighty Rejuv Potion), name collision
  [{22547,24003,38913}] = 27960, -- Ench. de plastron (Carac. puissantes), (Exceptional Stats) name collision
  [{44489,44465}] = 60692, -- Ench. de plastron (Carac. puissantes), (Powerful Stats) name collision
  [fakeid()] = 74191, -- Ench. de plastron (Carac. puissantes), (Mighty Stats) name collision, no scroll yet
  [43342] = 58317, -- Glyphe de l'oubli (Glyph of Fading), name collision
  [42398] = 57184, -- Glyphe d'oubli (Glyph of Fade), name collision
  [{16224,38859}] = 20015, -- Enchantement de cape (Défense excellent)
  [19027] = 23507, -- Schéma : Feu d'artifice « Explosion serpentine »
  [24173] = 31078, -- Dessin : Diadème de puissance arcanique
  [25910] = 32874, -- Dessin : Diamant brûleciel de mystère
  [{37332,38950}] = 44483, --Formule : Enchantement de cape (Résistance au Givre supérieure
  [{19448,38883}] = 23803, -- enchantement d'arme (Esprit puissant)
  [38912] = 27958, -- enchantement de plastron (Mana exceptionnel
  [{28272,38935}] = 33997, -- enchantement de gants (Puissance des sorts majeurs)
  [{44487,44467}] = 60714, -- Parchemin d'enchantement d'arme (Puissance des sorts puissante)
  [{52364,52088}] = 73229, -- Zéphyrite stable
  [52089] = 73230, -- Zéphyrite rigide
  [{52376,52116}] = 73269, -- Fine Hessonite
  [{52402,52248}] = 73353, -- Oeil de démon intemporel
  [{52378,52119}] = 73272, -- Jaspe rgalienne
  [{52494,52485}] = 73625, -- Dessin : Monocle de joaillier en rubis
  [{52738,52778}] = 74248, -- Enchantement de brassard (Coup critique supérieur)
  [{68810,63481}] = 89815, -- Glyphe de frappe colossale
  [{64412,52782}] = 74253, -- Enchantement de bottes (Marche-lave)
  [{67068,56536}] = 78460, -- Fouet éclair
  [{67084,56551}] = 78478, -- Armure de jambe calcinécaille
  [41094] = 57033, -- Glyphe de réprimande
  [41705] = 55384, -- Dessin : Diamant flambeciel gardé
  -- redsteel crafted set, spell name is erroneously all the same
  [{66078,55028}] = 76265, -- boots
  [{66072,55025}] = 76262, -- bracer
  [{66077,55027}] = 76264, -- belt
  [{66083,55032}] = 76270, -- chest
  [{66079,55029}] = 76266, -- shoulder
  [{66074,55026}] = 76263, -- hands
  [{66081,55030}] = 76267, -- legs
  [{66082,55031}] = 76269, -- head
} elseif locale == "deDE" then PV_Exceptions_ItoS_locale = {
  [28104] = 33741, -- Elixier des Meisters (Mastery Elixer), name collision
  [58148] = 80497, -- Elixier des Meistersi (Elixer of the Master), name collision
  [40087] = 53904, -- Mchtiger Verjngungstrank (Powerful Rejuv Potion), name collision
  [57193] = 80490, -- Mchtiger Verjngungstrank (Mighty Rejuv Potion), name collision
  [{3609,3471}]  = 3321,   -- Kupferne Kettenweste -> Kupferkettenweste (Copper Chain Vest)
  [{6672,4852}]  = 8243,   -- Bauplan: Blitzbombe -> Blitzstrahlbombe (Flash Bomb)
  [{22554,38919}] = 27971, -- Zweihandwaffe - Unbndigkeit (Enchant 2H Weapon Savagery)
  [{22558,38926}] = 28003, -- Waffe - Zauberflut (Enchant Weapon - Spellsurge)
  [{25869,25867}] = 32765, -- Erdsturmdiamanten transmutieren / Erdsturmdiamant (Earthstorm Diamond)
  [{25870,29232,25868}] = 32766, -- Himmelsfeuerdiamanten transmutieren / Himmelsfeuerdiamant (Skyfire Diamond - Faction-specific)
  [{25906,25899}] = 32869, -- Brutaler Erdsturmdiamant / Grober Erdsturmdiamant (Brutal Earthstorm)
  [{28271,38932}] = 33994, -- Handschuhe - Przise Ste / Przise Schlge (Enchant Gloves - Precise Strikes)
  [{29701,29497}] = 35534, -- Verzauberte Grollschuppenstiefe (Enchanted Clefthoof Boots)
  [{35212,34372}] = 46132, -- Lederstulpen der Sonne (Leather Gauntlets of the Sun)
  [{35498,38998}] = 46578, -- Waffe - Todesklte (Enchant Weapon - Deathfrost)
  [38679] = 7418,  -- Armschienenverzauberung - Geringe Gesundheit (Enchant Bracer - Minor Health)
  [38985] = 44612, -- Handschuhverzauberung - Groe Zauberwucht (Enchant Gloves - Greater Blasting)
  [{43318,43251}] = 58148, -- Ring des scharlachroten Schattens / Ring der scharlachroten Schatten (Ring of Scarlet Shadows)
  [{44494,38972}] = 44576, -- Formel: Waffe - Lebenswchter / Lebensschutz (Enchant Weapon - Lifeward)
  [{44495,43987}] = 59625, -- Waffe - Schwarzmagie (Enchant Weapon Black Magic)
  [44946] = 62257, -- Waffe - Titanwchter (Titanguard, unreleased)
  [{49958,49894}] = 70555, -- Gesegnete Cenarionstiefel (Blessed Cenarion Boots)
  [52733] = 74242, -- Waffe - Machststrom (Enchant Weapon - Power Torrent)
  [{66117,55071}] = 76456, -- Blutige Pyriumarmschienen (Bloodied Pyrium Bracers)
  [{66130,55084}] = 76470, -- Verzierte Pyriumbeinschtzer (Ornate Pyrium Legguards)
  [{67541,54451}] = 75289, -- Zylinder der oberen Zehntausend (High Society Top Hat)
} elseif locale == "koKR" then PV_Exceptions_ItoS_locale = {
  [38806] = 13635, -- Enchant Cloak - Defense (name collision)
  [fakeid()] = 74229, -- Enchant Bracer - Dodge (name collision), no scroll yet
  [40087] = 53904, -- Powerful Rejuv Potion (name collision)
  [42966] = 57125, -- Glyph of Gouge (name collision)
  [43827] = 59340, -- Glyph of Death Strike (name collision)
  [38371] = 50964, -- Jormungar Leg Armor (name collision)
  [38403] = 50947, -- Arctic Gloves (name collision)
  [{67084,56551}] = 78478, -- Charscale Leg Armor (name collision)
  [fakeid()] = 60584, -- Nerubian Leg Reinforcements (name collision)
} elseif locale == "ruRU" then PV_Exceptions_ItoS_locale = {
  [38829] = 13822, -- Enchant Bracer - Intellect (name collision)
  [38968] = 44555, -- Enchant Bracer - Exceptional Intellect (name collision)
  [43369] = 58316, -- Glyph of Justice (name collision)
  [41092] = 57030, -- Glyph of Judgement (name collision)
  [68776] = 96253, -- Quicksilver Alchemist Stone (ticket 53: real hash coll?)
} elseif locale == "esES" then PV_Exceptions_ItoS_locale = {
  [{8029,7943}] = 9997, -- Diseño: hoja de mitril maligna
  [{13946,13932}] = 18244, -- Receta: salmón escama de sol pochado
  [39005] = 47900, -- Pergamino de Encantar pechera: súper salud
  [38827] = 13815, -- Encantar guantes: agilidad (Enchant Gloves - Agility), name collision
  [fakeid()] = 74216, -- Encantar guantes: agilidad (Enchant Ring - Agility), name collision
  [{2598,2572}] = 2389,  -- toga de lino rojo (Red Linen Robe)
  [{6044,6042}] = 7221,  -- escudo con punta de hierro (Iron Shield Spike)
  [{6329,6316}] = 7754,  -- delicia de furia de Loch Modan (Loch Frenzy Delight)
  [{6349,38781}] = 7793, -- encantar arma de 2M: intelecto inferior (2H weapon lesser intellect)
  [{21915,21872}] = 26759, -- Patrn: bolsa de Sombra de bano
  [{23634,23546}] = 29697, -- gran maza endurecida vil (Fel Hardened Maul)
  [{24160,24082}] = 31055, -- sortija de korio del inferno (Khorium Inferno Band)
  [{24295,24276}] = 31433, -- hilo de hechizo dorado (Golden Spellthread)
  [{27688,27655}] = 33284, -- perrito de devastador (Ravager Dog)
  [{29730,29512}] = 35567, -- botas de escamas abisales de terrneo (Earthen Netherscale Boots)
  [{30307,30045}] = 36358, -- botas de halcn carmes (Boots of the Crimson Hawk)
  [{35192,35184}] = 46110, -- gafas armonizadas con primordial (Primal-Attuned Goggles)
  [{35193,34355}] = 46112, -- gafas de grabados de relmpagos (Lightning Etched Specs)
  [38986] = 60623, -- caminante del hielo (Icewalker)
  [{43029,43004}] = 57435, -- aperitivos para alimaas (Critter Bites)
  [{43505,43478}] = 58527, -- festn gigantesco (Gigantic Feast)
  [{44483,44463}] = 60691, -- arma de 2M: masacre (2H weapon massacre)
  [44563] = 57701, -- forro de pelaje de resistencia a lo Arcano (Fur Lining Arcane Resist)
  [{45089,45559}] = 63188, -- botas de placas de seor de batalla (Battlelord's Plate Boots)
  [49112] = 68253, -- fragmento de pesadilla (Nightmare Tear)
  -- Tailor pats 54593..54605, JC pats 68359..68361 are still untranslated from German, ignoring for now
  [64411] = 74252, -- encantar botas: paso del asesino (Boots - Assassin's Step), no scroll yet
  [{65408,62673}] = 88017, -- cebo con plumas (feathered lure)
  [{66105,55059}] = 76444, -- faja de elementium endurecida (Hardened Elementium Girdle)
  [{66130,55084}] = 76470, -- leotardos de pirium ensangrentados (Bloodied Pyrium Legguards)
  [{66122,55076}] = 76462, -- Diseño: leotardos de pirium ensangrentados
  [{67084,56551}] = 78478, -- armadura para pierna de escamas de carbn (Charscale Leg Armor)
  [{67603,67602}] = 94718, -- cercenatripas de elementium (Elementium Gutslicer)
} elseif locale == "zhTW" then PV_Exceptions_ItoS_locale = {
}
end

-- then the locale-independent stuff
PV_Exceptions_ItoS = {

  -- misc misspellings (language-independent)
  [{21737,21570}] = 26443, -- (Firework) Cluster Launcher
  [{50168,50077}] = 71102, -- Glyph of Quick Decay / Glyph of Lash of Pain
  [42417] = 57202, -- Glyph of Prayer of Mending / Glyph of Spirit of Redemption
  [45760] = 64259, -- Glyph of Desperation / Glyph of Pain Suppression
  [{16248,38872}] = 20033, -- Enchant Weapon - Unholy (Weapon)
  [{44473,38981}] = 44595, -- Enchant (2H) Weapon - Scourgebane
  [43339] = 58303, -- Glyph of Arcane Intellect / Brilliance

  -- misc name collisions to disambiguate
  [42457] = 57261, -- Glyph of Death Coil, Warlock (crafted itemid - no pat)
  [45804] = 64266, -- Glyph of Death Coil, DK (crafted itemid - no pat)
  [{47020,40150}] = 66584, -- Deft Ametrine, conflicts with ...
  [{47023,40159}] = 66587, -- Deft Ametrine, orphaned pattern not removed
  [41544] = 55924, -- Duskweave Boots, conflicts with an unreleased recipe (crafted itemid - no pat)
  [41112] = 56465, -- Mechanized Snow Goggles (cloth)
  [44740] = 61481, -- Mechanized Snow Goggles (leather)
  [44741] = 61482, -- Mechanized Snow Goggles (mail)
  [44742] = 61483, -- Mechanized Snow Goggles (plate) 

  -- cata
  [63276] = 86654, -- Forged Documents (Horde, fake itemid)
  [62056] = 89244, -- Forged Documents (Alliance, fake itemid)

  -- tailoring enchants, rank ambiguity (fake itemids)
  [fakeid()] = 56034, -- Master's Spellthread
  [fakeid()] = 75154, -- Master's Spellthread
  [fakeid()] = 56039, -- Sanctified Spellthread
  [fakeid()] = 75155, -- Sanctified Spellthread
  [fakeid()] = 55642, -- Lightweave Embroidery
  [fakeid()] = 75172, -- Lightweave Embroidery
  [fakeid()] = 55769, -- Darkglow Embroidery
  [fakeid()] = 75175, -- Darkglow Embroidery
  [fakeid()] = 55777, -- Swordguard Embroidery
  [fakeid()] = 75178, -- Swordguard Embroidery

  -- faction-specific thanksgiving recipes, with faction-specific trade spells
  -- that become a faction-independent crafted item RAWWWRRRR! (screw blizzard)
  [{46805,44840}] = 66035, -- cranberry chutney
  [{44858,44840}] = 62049, -- cranberry chutney
  [{46807,44838}] = 66037, -- slow roasted turkey 
  [{44861,44838}] = 62045, -- slow roasted turkey 
  [{46803,44837}] = 66038, -- spice bread stuffing
  [{44860,44837}] = 62050, -- spice bread stuffing
  [{44859,44839}] = 62051, -- candied sweet potato
  [{46806,44839}] = 66034, -- candied sweet potato  
  [{46804,44836}] = 66036, -- pumpkin pie
  [{44862,44836}] = 62044, -- pumpkin pie  

  -- ToC patterns, faction specific
  [{47654,47585}] = 67079, -- Bejeweled Wizard's Bracers
  [{47639,47586}] = 67145, -- Bejeweled Wizard's Bracers
  [{47629,47579}] = 67081, -- Black Chitin Bracers
  [{47646,47580}] = 67137, -- Black Chitin Bracers
  [{47635,47581}] = 67087, -- Bracers of Swift Death
  [{47647,47582}] = 67139, -- Bracers of Swift Death
  [{47622,47591}] = 67091, -- Breastplate of the White Knight
  [{47640,47592}] = 67130, -- Breastplate of the White Knight
  [{47631,47576}] = 67083, -- Crusader's Dragonscale Bracers
  [{47648,47577}] = 67143, -- Crusader's Dragonscale Bracers
  [{47630,47595}] = 67082, -- Crusader's Dragonscale Breastplate
  [{47649,47596}] = 67138, -- Crusader's Dragonscale Breastplate
  [{47628,47597}] = 67080, -- Ensorcelled Nerubian Breastplate
  [{47650,47598}] = 67136, -- Ensorcelled Nerubian Breastplate
  [{47634,47599}] = 67086, -- Knightbane Carapace
  [{47651,47600}] = 67142, -- Knightbane Carapace
  [{47632,47602}] = 67084, -- Lunar Eclipse Chestguard
  [{47652,47601}] = 67140, -- Lunar Eclipse Chestguard
  [{47655,47603}] = 67066, -- Merlin's Robe
  [{47638,47604}] = 67146, -- Merlin's Robe
  [{47633,47583}] = 67085, -- Moonshadow Armguards
  [{47653,47584}] = 67141, -- Moonshadow Armguards
  [{47656,47587}] = 67065, -- Royal Moonshroud Bracers
  [{47637,47588}] = 67147, -- Royal Moonshroud Bracers
  [{47657,47605}] = 67064, -- Royal Moonshroud Robe
  [{47636,47606}] = 67144, -- Royal Moonshroud Robe
  [{47623,47570}] = 67092, -- Saronite Swordbreakers
  [{47641,47571}] = 67131, -- Saronite Swordbreakers
  [{47627,47574}] = 67096, -- Sunforged Bracers
  [{47642,47575}] = 67135, -- Sunforged Bracers
  [{47626,47593}] = 67095, -- Sunforged Breastplate
  [{47643,47594}] = 67134, -- Sunforged Breastplate
  [{47624,47589}] = 67093, -- Titanium Razorplate
  [{47644,47590}] = 67132, -- Titanium Razorplate
  [{47625,47572}] = 67094, -- Titanium Spikeguards
  [{47645,47573}] = 67133, -- Titanium Spikeguards

}

if PV_Exceptions_ItoS_locale then
  for k,v in pairs(PV_Exceptions_ItoS_locale) do
    PV_Exceptions_ItoS[k] = v
  end
  PV_Exceptions_ItoS_locale = nil
end

-- Recipes that remain in the Blizzard item database, 
-- but are unobtainable and have no corresponding profession bit
-- Currently only used for testing purposes
PV_DeadRecipes = {
 [2599]  = true, -- [Deprecated Pattern: Forest Silk Gloves]
 [6343]  = true, -- [Formula: Imbue Chest - Spirit]
 [16051] = true, -- [Schematic: Thorium Shells] (removed 4.x)
 [16222] = true, -- [Formula: Enchant Shield - Superior Spirit] (changed to vitality in 3.1)
 [23885] = true, -- [Schematic: Remote Mail Terminal] (BC beta only, replaced by Moll-E)
 [34126] = true, -- [Recipe: Shoveltusk Soup] (WoLTK recipe never released)
 [37301] = true, -- [Deprecated Test Glyph]
 [37337] = true, -- [Formula: Enchant Bracer - Greater Stats] (pat never released - trainer pat)
 [37338] = true, -- [Formula: Enchant Weapon - Greater Savagery] (pat never released, changed to 2H)
 [37348] = true, -- [Formula: Enchant Cloak - Haste] (pat never released - trainer pat)
 [38597] = true, -- [Pattern: Dark Arctic Boots] (pat never released, Black Chitinguard Boots - trainer pat)
 [38958] = true, -- [Scroll of Enchant Weapon - Exceptional Intellect] (never released)
 [39692] = true, -- [Recipe: Succulent Orca Stew] (WoLTK recipe never released)
 [41413] = true, -- [ZZOLD Design: Revitalizing Skyflare Diamond] (4.x reindexed)
 [41414] = true, -- [ZZOLD Design: Effulgent Skyflare Diamond] (4.x renamed to Shielded Skyflare Diamond)
 [41421] = true, -- ZZOLD Design: Enigmatic Skyflare Diamond (trainer pat)
 [41422] = true, -- ZZOLD Design: Swift Skyflare Diamond (trainer pat)
 [42193] = true, -- [Pattern: Glacial Cord] (pat never released, deep frozen cord - trainer pat)
 [44918] = true, -- [Schematic: Cluster Launcher] (duplicate pattern - real pat is 21737)
 [47023] = true, -- [Design: Deft Ametrine] (improperly removed in 4.x, real pat is 47020)
 -- JC patterns never deployed in cata (rare drop quest item instead)
 [52499] = true, -- [Design: Figurine - King of Boars]
 [52500] = true, -- [Design: Figurine - Demon Panther]
 [52501] = true, -- [Design: Figurine - Earthen Guardian]
 [52502] = true, -- [Design: Figurine - Jeweled Serpent]
 [52503] = true, -- [Design: Figurine - Dream Owl]
 -- LW patterns never deployed in cata (renamed to a diff set?)
 [67001] = true, -- [Pattern: Windbound Bracers]
 [67002] = true, -- [Pattern: Windbound Gloves]
 [67003] = true, -- [Pattern: Razorshell Bracers]
 [67004] = true, -- [Pattern: Razorshell Shoulders]
 [67005] = true, -- [Pattern: Shellscale Cloak]
 [67008] = true, -- [Pattern: Windbound Boots]
 [67009] = true, -- [Pattern: Razorshell Boots]
 [67012] = true, -- [Pattern: Windbound Belt]
 [67013] = true, -- [Pattern: Razorshell Gloves]
 [67016] = true, -- [Pattern: Windbound Shoulders]
 [67017] = true, -- [Pattern: Razorshell Belt]
 [67022] = true, -- [Pattern: Windbound Leggings]
 [67023] = true, -- [Pattern: Razorshell Helm]
 [67028] = true, -- [Pattern: Windbound Chest]
 [67030] = true, -- [Pattern: Razorshell Leggings]
 [67034] = true, -- [Pattern: Windbound Helm]
 [67035] = true, -- [Pattern: Razorshell Chest]
}
-- same for crafted items
PV_DeadCrafted = {
 [38292] = true, -- [Test Living Ruby]
 [38916] = true, -- [Scroll of Enchant Weapon - Major Spirit] (enchant removed)
 [38983] = true, -- [Scroll of Enchant Shield - Mighty Stamina] (never released)
 [38994] = true, -- [Scroll of Enchant Weapon - Exceptional Healing] (never released)
 [40232] = true, -- [Test Dazzling Talasite]
 [40948] = true, -- [Deprecated Glyph of the Red Lynx]
 [43336] = true, -- [Deprecated Glyph of the Black Bear]
 [43337] = true, -- [Deprecated Glyph of the Forest Lynx]
 [43362] = true, -- [zzOLDGlyph of the Bear Cub]
 [43384] = true, -- [Deprecated Glyph of the Black Wolf]
 [45908] = true, -- [zzOLDGlyph of Envenom]
 [52196] = true, -- [Chimera's Eye] (false positive)
 [63415] = true, -- [zzOLDGlyph of Armors]
}

-- First Aid weirdness: Heavy Linen thru Heavy Runecloth have a duplicate bit for the 
-- same spell and itemid. The first bit is the one learned by most classes, the second
-- is the one auto-learned by DKs. Ignoring this weirdness for now.

PV_PatDB = {
---------------------------------------------------------------------------------------
-- Autogenerated data below
---------------------------------------------------------------------------------------
			[7411] = {
				[0] = {
					["checksum"] = 3505439076,
					["scandate"] = "02/08/11 07:05:53",
					["name"] = "Enchanting",
					["build"] = "13596",
					["deadbitmask"] = "HAAAIAAAAAAEAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAB8",
					["version"] = "4.0.6",
					["patcnt"] = 354,
					["bitlen"] = 366,
				},
				[20008] = 103,
				[20016] = 111,
				[20024] = 109,
				[20032] = 126,
				[13617] = 42,
				[13637] = 49,
				[33996] = 205,
				[45765] = 267,
				[13653] = 55,
				[13657] = 57,
				[13661] = 59,
				[63746] = 301,
				[74252] = 349,
				[13689] = 62,
				[13693] = 63,
				[23801] = 133,
				[44488] = 227,
				[27905] = 158,
				[27913] = 161,
				[62948] = 299,
				[74189] = 307,
				[44584] = 244,
				[74253] = 350,
				[27961] = 179,
				[27977] = 186,
				[42620] = 222,
				[33997] = 206,
				[14807] = 97,
				[32664] = 196,
				[74254] = 351,
				[13817] = 72,
				[25079] = 141,
				[44489] = 228,
				[13841] = 75,
				[20009] = 107,
				[20017] = 106,
				[20025] = 125,
				[20033] = 120,
				[44633] = 263,
				[13378] = 28,
				[13905] = 83,
				[13917] = 85,
				[74192] = 309,
				[74256] = 353,
				[13933] = 87,
				[13937] = 89,
				[13941] = 91,
				[13945] = 93,
				[23802] = 134,
				[27906] = 159,
				[27914] = 162,
				[74193] = 310,
				[27946] = 170,
				[27954] = 175,
				[27962] = 180,
				[64579] = 303,
				[7779] = 15,
				[33999] = 207,
				[13522] = 36,
				[7793] = 20,
				[7795] = 21,
				[32665] = 197,
				[74226] = 330,
				[60763] = 292,
				[25072] = 137,
				[25080] = 142,
				[42974] = 223,
				[44555] = 239,
				[25128] = 152,
				[20026] = 110,
				[20034] = 124,
				[96264] = 359,
				[44635] = 264,
				[13622] = 44,
				[13626] = 45,
				[13642] = 51,
				[13646] = 53,
				[7857] = 22,
				[7859] = 23,
				[7861] = 24,
				[7863] = 25,
				[7867] = 26,
				[22749] = 129,
				[13698] = 65,
				[13702] = 67,
				[23803] = 135,
				[44492] = 229,
				[44508] = 231,
				[44524] = 238,
				[44556] = 240,
				[74197] = 312,
				[27947] = 171,
				[13746] = 69,
				[28003] = 188,
				[92370] = 355,
				[34001] = 208,
				[28027] = 218,
				[14293] = 96,
				[60653] = 282,
				[13794] = 70,
				[7418] = 3,
				[7420] = 4,
				[7426] = 6,
				[7428] = 7,
				[13822] = 73,
				[25073] = 138,
				[25081] = 143,
				[44509] = 234,
				[13846] = 76,
				[20011] = 123,
				[25129] = 153,
				[44589] = 246,
				[20035] = 127,
				[44621] = 257,
				[20051] = 115,
				[13882] = 79,
				[93841] = 356,
				[13890] = 81,
				[34002] = 209,
				[60606] = 279,
				[74200] = 315,
				[74232] = 334,
				[13419] = 30,
				[22750] = 130,
				[23804] = 136,
				[44494] = 230,
				[44510] = 235,
				[27924] = 165,
				[74201] = 316,
				[44590] = 248,
				[47672] = 271,
				[27972] = 183,
				[13503] = 35,
				[28004] = 187,
				[34003] = 210,
				[28028] = 219,
				[60623] = 281,
				[32667] = 198,
				[74234] = 335,
				[44383] = 224,
				[60767] = 296,
				[25074] = 139,
				[25082] = 144,
				[20012] = 108,
				[20020] = 104,
				[20028] = 114,
				[20036] = 121,
				[44623] = 258,
				[13631] = 47,
				[13635] = 48,
				[34004] = 211,
				[13655] = 56,
				[13659] = 58,
				[13663] = 60,
				[74236] = 337,
				[27837] = 155,
				[13687] = 61,
				[13695] = 64,
				[47051] = 270,
				[64441] = 302,
				[44528] = 236,
				[44576] = 243,
				[44592] = 252,
				[27957] = 176,
				[27981] = 190,
				[34005] = 212,
				[60609] = 277,
				[14809] = 98,
				[47898] = 272,
				[74238] = 339,
				[13815] = 71,
				[25083] = 145,
				[44513] = 237,
				[44529] = 241,
				[20013] = 116,
				[74207] = 318,
				[20029] = 112,
				[44625] = 259,
				[42613] = 220,
				[13887] = 80,
				[13380] = 29,
				[33990] = 199,
				[34006] = 213,
				[13915] = 84,
				[59636] = 283,
				[47899] = 273,
				[74240] = 341,
				[13931] = 86,
				[13935] = 88,
				[13939] = 90,
				[13943] = 92,
				[13947] = 94,
				[96261] = 361,
				[96262] = 360,
				[13464] = 32,
				[27926] = 166,
				[7766] = 12,
				[95471] = 358,
				[27950] = 173,
				[27958] = 177,
				[93843] = 357,
				[7776] = 14,
				[27982] = 191,
				[74255] = 352,
				[7782] = 16,
				[74251] = 348,
				[33991] = 200,
				[28022] = 195,
				[27899] = 157,
				[60668] = 286,
				[60691] = 288,
				[59621] = 293,
				[13536] = 38,
				[47900] = 285,
				[74242] = 342,
				[60707] = 289,
				[15596] = 100,
				[74239] = 340,
				[74237] = 338,
				[74230] = 332,
				[74229] = 331,
				[74225] = 329,
				[7771] = 13,
				[25084] = 146,
				[7748] = 11,
				[74223] = 328,
				[74220] = 327,
				[7786] = 17,
				[25124] = 148,
				[74211] = 319,
				[20030] = 119,
				[13612] = 41,
				[33995] = 204,
				[13620] = 43,
				[42615] = 221,
				[13628] = 46,
				[60619] = 287,
				[74132] = 306,
				[13640] = 50,
				[34008] = 215,
				[13648] = 54,
				[44483] = 225,
				[74202] = 317,
				[74244] = 343,
				[44630] = 260,
				[47901] = 274,
				[60692] = 291,
				[27960] = 178,
				[62257] = 298,
				[74198] = 313,
				[74217] = 325,
				[74195] = 311,
				[74191] = 308,
				[13700] = 66,
				[23799] = 131,
				[44484] = 226,
				[44500] = 232,
				[17180] = 102,
				[46578] = 268,
				[27927] = 167,
				[69412] = 304,
				[74213] = 321,
				[27951] = 174,
				[44612] = 251,
				[27967] = 181,
				[27975] = 185,
				[62959] = 300,
				[62256] = 297,
				[59619] = 295,
				[25127] = 151,
				[33993] = 202,
				[34009] = 216,
				[60714] = 290,
				[27948] = 172,
				[60621] = 280,
				[14810] = 99,
				[21931] = 128,
				[74214] = 322,
				[74246] = 344,
				[7421] = 5,
				[60616] = 278,
				[47766] = 276,
				[13898] = 82,
				[44636] = 266,
				[27917] = 163,
				[44631] = 262,
				[74199] = 314,
				[13836] = 74,
				[74215] = 323,
				[20031] = 122,
				[7443] = 8,
				[44645] = 265,
				[25125] = 149,
				[20023] = 117,
				[71692] = 305,
				[13868] = 78,
				[44629] = 261,
				[7457] = 10,
				[25126] = 150,
				[44616] = 256,
				[44596] = 255,
				[44593] = 249,
				[33994] = 203,
				[34010] = 217,
				[74247] = 345,
				[20015] = 113,
				[13607] = 40,
				[44591] = 250,
				[44588] = 247,
				[74216] = 324,
				[74248] = 346,
				[13421] = 31,
				[7454] = 9,
				[13858] = 77,
				[27911] = 160,
				[13948] = 95,
				[20010] = 118,
				[20014] = 105,
				[23800] = 132,
				[44582] = 245,
				[25130] = 154,
				[17181] = 101,
				[27920] = 164,
				[46594] = 269,
				[33992] = 201,
				[27944] = 168,
				[44598] = 254,
				[13485] = 33,
				[27968] = 182,
				[74212] = 320,
				[27984] = 189,
				[13501] = 34,
				[13644] = 52,
				[7745] = 19,
				[28016] = 192,
				[44595] = 253,
				[44506] = 233,
				[28021] = 194,
				[13529] = 37,
				[59625] = 294,
				[60663] = 284,
				[74218] = 326,
				[74250] = 347,
				[74231] = 333,
				[74235] = 336,
				[7788] = 18,
				[34007] = 214,
				[13538] = 39,
				[28019] = 193,
				[27971] = 184,
				[25078] = 140,
				[25086] = 147,
				[27945] = 169,
				[44575] = 242,
			},
			[2259] = {
				[0] = {
					["checksum"] = 4053464073,
					["scandate"] = "04/22/11 15:34:24",
					["name"] = "Alchemy",
					["patcnt"] = 299,
					["deadbitmask"] = "JAAQAAAAAAgAAAAAAAQAAAAAAAHAAAABAAAAAAAAAAAAAAAAACA4",
					["version"] = "4.1.0",
					["build"] = "13914",
					["bitlen"] = 312,
				},
				[41501] = 177,
				[38962] = 169,
				[80479] = 257,
				[17557] = 75,
				[17565] = 83,
				[17573] = 87,
				[62213] = 246,
				[80480] = 265,
				[17637] = 99,
				[33741] = 166,
				[54213] = 224,
				[6617] = 27,
				[24368] = 109,
				[80481] = 294,
				[53942] = 218,
				[28544] = 114,
				[28552] = 119,
				[15833] = 67,
				[28576] = 141,
				[28584] = 146,
				[80482] = 278,
				[41503] = 179,
				[53783] = 216,
				[53847] = 193,
				[53895] = 194,
				[38070] = 167,
				[17566] = 78,
				[17574] = 88,
				[63732] = 249,
				[22732] = 103,
				[80484] = 263,
				[17638] = 100,
				[7256] = 35,
				[53784] = 217,
				[11450] = 42,
				[11458] = 49,
				[11466] = 55,
				[39636] = 171,
				[28545] = 115,
				[28553] = 121,
				[28569] = 134,
				[28577] = 139,
				[28585] = 144,
				[80486] = 258,
				[47046] = 183,
				[60396] = 235,
				[7837] = 37,
				[66658] = 251,
				[7841] = 38,
				[7845] = 39,
				[17551] = 69,
				[17559] = 76,
				[17575] = 89,
				[3170] = 12,
				[3171] = 4,
				[3172] = 5,
				[24266] = 105,
				[3174] = 7,
				[3175] = 101,
				[3176] = 8,
				[3177] = 9,
				[41458] = 175,
				[3188] = 11,
				[66660] = 253,
				[57427] = 231,
				[93328] = 300,
				[53898] = 195,
				[93935] = 299,
				[39638] = 173,
				[28546] = 116,
				[42736] = 180,
				[28562] = 127,
				[28570] = 135,
				[28578] = 142,
				[28586] = 150,
				[80490] = 274,
				[47048] = 185,
				[54218] = 225,
				[60366] = 242,
				[60893] = 245,
				[53771] = 213,
				[66662] = 254,
				[80491] = 261,
				[53899] = 202,
				[39639] = 174,
				[17560] = 79,
				[3230] = 13,
				[17576] = 90,
				[66663] = 255,
				[17632] = 95,
				[47049] = 184,
				[60367] = 243,
				[80269] = 280,
				[94162] = 298,
				[53836] = 188,
				[11451] = 43,
				[11459] = 50,
				[53900] = 196,
				[11467] = 56,
				[11479] = 63,
				[28555] = 123,
				[28563] = 128,
				[28571] = 137,
				[28579] = 143,
				[28587] = 152,
				[80494] = 277,
				[33732] = 162,
				[47050] = 182,
				[54220] = 226,
				[4508] = 23,
				[53773] = 212,
				[25146] = 110,
				[53837] = 189,
				[80495] = 281,
				[12609] = 66,
				[53901] = 201,
				[17553] = 71,
				[17561] = 77,
				[17577] = 91,
				[80496] = 272,
				[33733] = 165,
				[54221] = 227,
				[58868] = 232,
				[6618] = 26,
				[6624] = 25,
				[53838] = 190,
				[80497] = 264,
				[53902] = 200,
				[80721] = 269,
				[28556] = 124,
				[28564] = 129,
				[28572] = 138,
				[28580] = 148,
				[28588] = 153,
				[80498] = 276,
				[7179] = 28,
				[7181] = 29,
				[7183] = 30,
				[60354] = 237,
				[80243] = 289,
				[53775] = 210,
				[53839] = 205,
				[2329] = 2,
				[2330] = 1,
				[53903] = 199,
				[2332] = 305,
				[2333] = 10,
				[17554] = 72,
				[17562] = 81,
				[17570] = 84,
				[17578] = 92,
				[17634] = 96,
				[60355] = 238,
				[17187] = 68,
				[60403] = 234,
				[53776] = 207,
				[7259] = 34,
				[53840] = 191,
				[11452] = 45,
				[11456] = 47,
				[11460] = 51,
				[53904] = 198,
				[11468] = 57,
				[53936] = 219,
				[11476] = 60,
				[11480] = 64,
				[28557] = 125,
				[28565] = 130,
				[28573] = 140,
				[28581] = 149,
				[28589] = 154,
				[32765] = 160,
				[80247] = 284,
				[67025] = 256,
				[53777] = 206,
				[2337] = 308,
				[7836] = 36,
				[2335] = 307,
				[53841] = 204,
				[2334] = 306,
				[2331] = 304,
				[60356] = 239,
				[53905] = 197,
				[96254] = 302,
				[53937] = 220,
				[17555] = 73,
				[17563] = 80,
				[17571] = 85,
				[17579] = 93,
				[7257] = 31,
				[92688] = 297,
				[24365] = 106,
				[80237] = 293,
				[80244] = 292,
				[80246] = 291,
				[17635] = 97,
				[78866] = 290,
				[80245] = 288,
				[80250] = 287,
				[80493] = 262,
				[80248] = 285,
				[80492] = 283,
				[60357] = 240,
				[80726] = 282,
				[80725] = 279,
				[60405] = 236,
				[24366] = 107,
				[80487] = 275,
				[80508] = 273,
				[80477] = 271,
				[53842] = 192,
				[80723] = 270,
				[3447] = 14,
				[3448] = 15,
				[3449] = 16,
				[3450] = 17,
				[3451] = 18,
				[3452] = 19,
				[3453] = 20,
				[3454] = 21,
				[21923] = 102,
				[80720] = 268,
				[28582] = 147,
				[28590] = 151,
				[80719] = 267,
				[80724] = 266,
				[28568] = 133,
				[26277] = 111,
				[53781] = 208,
				[58871] = 233,
				[54020] = 223,
				[33738] = 163,
				[53848] = 203,
				[8240] = 40,
				[32766] = 161,
				[80251] = 286,
				[29688] = 159,
				[39637] = 172,
				[53779] = 214,
				[92643] = 296,
				[96252] = 303,
				[41502] = 178,
				[66664] = 250,
				[53774] = 211,
				[53782] = 209,
				[62410] = 248,
				[62409] = 247,
				[57425] = 230,
				[53939] = 222,
				[17556] = 74,
				[17564] = 82,
				[17572] = 86,
				[17580] = 94,
				[17552] = 70,
				[28549] = 117,
				[22808] = 104,
				[96253] = 301,
				[60365] = 241,
				[7255] = 33,
				[17636] = 98,
				[7258] = 32,
				[80488] = 260,
				[4942] = 24,
				[38961] = 170,
				[11448] = 44,
				[60350] = 244,
				[11464] = 53,
				[11472] = 58,
				[45061] = 181,
				[41500] = 176,
				[53780] = 215,
				[11478] = 62,
				[53812] = 187,
				[54222] = 228,
				[11449] = 41,
				[11453] = 46,
				[11457] = 48,
				[11461] = 52,
				[11465] = 54,
				[28550] = 118,
				[11473] = 59,
				[11477] = 61,
				[28551] = 120,
				[28554] = 122,
				[28567] = 132,
				[28575] = 136,
				[28583] = 145,
				[28591] = 155,
				[28558] = 126,
				[28566] = 131,
				[80478] = 259,
				[53938] = 221,
				[38960] = 168,
				[56519] = 229,
				[66659] = 252,
				[33740] = 164,
				[24367] = 108,
				[3173] = 6,
				[28543] = 113,
			},
			[3273] = {
				[0] = {
					["scandate"] = "11/13/10 16:52:13",
					["name"] = "First Aid",
					["deadbitmask"] = "DkgQCB4",
					["checksum"] = 3692124236,
					["patcnt"] = 31,
					["version"] = "4.0.3",
					["build"] = "13277",
					["bitlen"] = 42,
				},
				[74558] = 29,
				[23787] = 16,
				[7935] = 10,
				[3276] = 3,
				[3278] = 5,
				[10841] = 13,
				[7928] = 6,
				[18630] = 15,
				[27032] = 18,
				[27033] = 19,
				[74557] = 28,
				[7929] = 7,
				[3275] = 2,
				[3277] = 4,
				[88893] = 31,
				[7934] = 9,
				[74556] = 27,
				[45546] = 21,
				[45545] = 20,
				[10840] = 12,
				[18629] = 14,
			},
			[2018] = {
				[0] = {
					["scandate"] = "11/13/10 16:54:25",
					["name"] = "Blacksmithing",
					["deadbitmask"] = "JAAAAAAgAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAA4",
					["checksum"] = 1417206764,
					["patcnt"] = 584,
					["version"] = "4.0.3",
					["build"] = "13277",
					["bitlen"] = 594,
				},
				[29571] = 252,
				[32656] = 302,
				[29603] = 253,
				[29619] = 264,
				[27589] = 225,
				[29699] = 294,
				[55306] = 432,
				[55370] = 446,
				[56553] = 463,
				[36125] = 327,
				[67135] = 495,
				[7221] = 54,
				[76470] = 565,
				[16640] = 126,
				[16656] = 142,
				[3115] = 4,
				[3117] = 5,
				[8368] = 61,
				[20876] = 194,
				[76471] = 566,
				[55179] = 411,
				[56234] = 455,
				[55307] = 433,
				[16960] = 165,
				[24137] = 214,
				[16992] = 182,
				[56554] = 464,
				[36126] = 329,
				[76472] = 567,
				[29556] = 245,
				[32657] = 303,
				[29620] = 265,
				[27590] = 226,
				[29668] = 283,
				[29700] = 295,
				[55308] = 434,
				[55372] = 440,
				[8768] = 62,
				[56555] = 465,
				[55628] = 448,
				[76474] = 568,
				[16641] = 125,
				[16657] = 145,
				[8880] = 63,
				[34529] = 307,
				[9935] = 78,
				[76283] = 521,
				[9959] = 87,
				[55181] = 412,
				[9983] = 97,
				[10007] = 107,
				[10015] = 111,
				[55373] = 441,
				[24138] = 213,
				[16993] = 183,
				[56556] = 466,
				[36128] = 328,
				[3293] = 8,
				[3295] = 10,
				[36256] = 339,
				[29557] = 246,
				[3319] = 13,
				[3321] = 15,
				[29605] = 254,
				[29621] = 266,
				[55182] = 413,
				[29669] = 284,
				[3333] = 23,
				[55310] = 437,
				[55374] = 442,
				[14379] = 116,
				[36129] = 332,
				[36257] = 340,
				[16642] = 128,
				[16658] = 146,
				[11454] = 115,
				[55055] = 405,
				[55183] = 414,
				[7817] = 57,
				[55311] = 436,
				[55375] = 443,
				[16978] = 172,
				[16994] = 184,
				[36130] = 337,
				[36258] = 341,
				[29558] = 247,
				[55056] = 406,
				[29606] = 255,
				[29622] = 279,
				[55184] = 415,
				[55312] = 438,
				[59436] = 469,
				[55376] = 444,
				[23628] = 201,
				[36131] = 338,
				[27832] = 230,
				[36259] = 342,
				[3491] = 27,
				[3493] = 29,
				[3495] = 31,
				[3497] = 33,
				[3501] = 36,
				[3503] = 38,
				[3505] = 40,
				[3507] = 42,
				[9928] = 75,
				[3511] = 44,
				[3513] = 45,
				[9952] = 84,
				[9968] = 91,
				[55185] = 416,
				[59405] = 467,
				[55377] = 447,
				[24140] = 216,
				[16995] = 185,
				[36260] = 343,
				[43549] = 367,
				[34534] = 313,
				[55058] = 408,
				[55186] = 417,
				[29671] = 285,
				[59406] = 468,
				[59438] = 470,
				[40033] = 360,
				[23629] = 202,
				[34982] = 324,
				[36133] = 335,
				[7222] = 55,
				[36261] = 344,
				[16644] = 130,
				[16660] = 143,
				[36389] = 347,
				[16724] = 152,
				[34535] = 308,
				[55187] = 418,
				[46140] = 372,
				[40034] = 357,
				[24141] = 217,
				[34983] = 325,
				[36134] = 336,
				[36262] = 345,
				[2660] = 1,
				[2662] = 576,
				[2664] = 579,
				[36390] = 348,
				[2668] = 585,
				[2670] = 587,
				[2672] = 588,
				[2674] = 589,
				[42688] = 366,
				[29608] = 256,
				[29656] = 276,
				[29672] = 286,
				[46141] = 369,
				[40035] = 359,
				[36135] = 334,
				[52567] = 377,
				[19666] = 187,
				[36263] = 346,
				[55732] = 451,
				[16645] = 131,
				[16661] = 186,
				[36391] = 349,
				[16725] = 153,
				[16741] = 160,
				[9921] = 72,
				[34537] = 318,
				[9937] = 79,
				[67092] = 486,
				[9961] = 88,
				[9985] = 98,
				[9993] = 101,
				[10001] = 104,
				[10009] = 108,
				[46142] = 371,
				[16965] = 166,
				[54550] = 380,
				[52568] = 374,
				[36392] = 350,
				[61008] = 474,
				[15292] = 120,
				[34538] = 306,
				[67094] = 488,
				[29657] = 277,
				[59442] = 473,
				[54551] = 381,
				[52569] = 375,
				[19667] = 188,
				[16646] = 132,
				[16662] = 148,
				[61009] = 475,
				[16726] = 154,
				[16742] = 161,
				[67096] = 490,
				[7818] = 58,
				[46144] = 370,
				[54552] = 382,
				[52570] = 376,
				[61010] = 476,
				[24399] = 218,
				[34540] = 316,
				[29610] = 258,
				[76433] = 529,
				[29642] = 270,
				[29658] = 278,
				[23632] = 203,
				[76178] = 571,
				[54553] = 383,
				[15972] = 123,
				[19668] = 189,
				[16647] = 133,
				[16663] = 149,
				[38473] = 351,
				[76179] = 503,
				[9954] = 85,
				[76435] = 531,
				[9970] = 92,
				[9986] = 99,
				[56280] = 456,
				[16967] = 167,
				[16983] = 174,
				[76180] = 504,
				[54554] = 384,
				[52572] = 379,
				[42662] = 365,
				[15293] = 119,
				[34542] = 312,
				[29611] = 257,
				[76437] = 533,
				[29643] = 271,
				[23633] = 204,
				[76182] = 506,
				[54555] = 385,
				[7223] = 53,
				[19669] = 190,
				[16648] = 134,
				[16664] = 150,
				[55834] = 452,
				[3116] = 6,
				[24912] = 220,
				[16744] = 162,
				[34543] = 311,
				[34607] = 320,
				[43846] = 368,
				[76439] = 535,
				[16984] = 175,
				[54556] = 386,
				[76440] = 536,
				[55835] = 453,
				[28461] = 234,
				[29548] = 239,
				[34544] = 317,
				[34608] = 321,
				[29628] = 267,
				[29692] = 287,
				[23650] = 209,
				[9811] = 65,
				[54557] = 387,
				[15973] = 124,
				[16649] = 135,
				[16665] = 151,
				[38477] = 354,
				[24913] = 221,
				[54941] = 390,
				[34545] = 305,
				[9939] = 80,
				[76443] = 539,
				[9979] = 95,
				[9987] = 100,
				[9995] = 102,
				[10003] = 105,
				[10011] = 109,
				[16969] = 168,
				[16985] = 176,
				[3292] = 7,
				[3294] = 9,
				[3296] = 11,
				[70562] = 497,
				[28462] = 235,
				[29549] = 240,
				[29565] = 248,
				[3320] = 14,
				[29613] = 259,
				[29629] = 268,
				[29645] = 272,
				[3330] = 21,
				[29693] = 288,
				[3336] = 25,
				[41132] = 361,
				[94732] = 573,
				[76446] = 542,
				[16650] = 136,
				[38479] = 356,
				[24914] = 219,
				[16746] = 164,
				[34547] = 310,
				[76447] = 543,
				[70565] = 499,
				[16970] = 169,
				[16986] = 177,
				[41133] = 362,
				[76448] = 544,
				[70566] = 502,
				[55839] = 454,
				[28463] = 236,
				[54944] = 391,
				[29550] = 241,
				[34548] = 314,
				[29614] = 260,
				[29630] = 269,
				[55200] = 419,
				[29694] = 289,
				[23636] = 205,
				[23652] = 210,
				[76258] = 507,
				[9820] = 69,
				[76450] = 546,
				[22757] = 200,
				[3492] = 28,
				[3494] = 30,
				[3496] = 32,
				[3498] = 34,
				[3500] = 35,
				[3502] = 37,
				[3504] = 39,
				[3506] = 41,
				[3508] = 43,
				[62202] = 477,
				[9964] = 89,
				[9972] = 93,
				[9980] = 96,
				[32284] = 299,
				[16971] = 170,
				[16987] = 178,
				[41135] = 363,
				[76260] = 509,
				[76452] = 548,
				[54946] = 393,
				[29551] = 242,
				[76261] = 510,
				[29615] = 261,
				[27585] = 222,
				[55202] = 423,
				[29695] = 290,
				[55298] = 425,
				[2675] = 590,
				[2742] = 586,
				[23637] = 206,
				[23653] = 211,
				[76449] = 545,
				[2741] = 583,
				[76262] = 511,
				[2666] = 582,
				[2740] = 581,
				[7224] = 52,
				[76451] = 547,
				[76453] = 549,
				[2739] = 577,
				[16652] = 138,
				[2738] = 575,
				[2737] = 574,
				[94718] = 572,
				[8366] = 59,
				[16732] = 159,
				[54947] = 394,
				[54979] = 398,
				[20872] = 193,
				[76263] = 512,
				[92375] = 570,
				[76469] = 564,
				[76455] = 551,
				[16980] = 173,
				[55203] = 421,
				[76467] = 562,
				[76466] = 561,
				[76465] = 560,
				[32285] = 300,
				[29663] = 281,
				[55014] = 403,
				[16988] = 179,
				[14380] = 117,
				[76461] = 556,
				[63191] = 480,
				[76264] = 513,
				[76289] = 526,
				[76457] = 553,
				[76456] = 552,
				[76454] = 550,
				[11643] = 112,
				[2661] = 578,
				[2663] = 2,
				[2665] = 580,
				[2667] = 584,
				[76445] = 541,
				[2671] = 50,
				[2673] = 51,
				[54948] = 395,
				[54980] = 399,
				[29568] = 250,
				[76265] = 514,
				[7408] = 56,
				[29616] = 262,
				[27586] = 224,
				[29648] = 273,
				[29664] = 282,
				[76444] = 540,
				[29696] = 291,
				[55300] = 426,
				[29728] = 296,
				[76442] = 538,
				[76441] = 537,
				[23638] = 207,
				[76438] = 534,
				[76436] = 532,
				[76434] = 530,
				[9813] = 66,
				[76293] = 528,
				[76291] = 527,
				[76458] = 554,
				[76288] = 525,
				[76287] = 524,
				[76286] = 523,
				[16653] = 139,
				[76285] = 522,
				[76281] = 520,
				[76280] = 519,
				[67091] = 485,
				[54917] = 388,
				[54949] = 396,
				[54981] = 400,
				[20873] = 195,
				[76267] = 516,
				[67095] = 489,
				[6517] = 49,
				[76459] = 555,
				[76266] = 515,
				[9920] = 73,
				[41134] = 364,
				[9997] = 103,
				[10005] = 106,
				[10013] = 110,
				[76259] = 508,
				[16973] = 171,
				[28242] = 232,
				[63187] = 482,
				[36136] = 333,
				[27830] = 228,
				[55371] = 439,
				[21161] = 198,
				[36137] = 331,
				[70567] = 500,
				[29547] = 238,
				[16643] = 129,
				[70563] = 498,
				[16745] = 163,
				[3323] = 16,
				[63182] = 478,
				[67132] = 492,
				[15294] = 121,
				[54918] = 389,
				[29566] = 249,
				[15296] = 118,
				[29569] = 251,
				[76269] = 517,
				[63188] = 483,
				[12259] = 114,
				[27587] = 227,
				[29649] = 274,
				[55206] = 424,
				[12260] = 113,
				[29697] = 292,
				[55302] = 428,
				[29729] = 297,
				[29654] = 275,
				[29662] = 280,
				[23639] = 208,
				[67093] = 487,
				[55204] = 422,
				[56549] = 459,
				[76270] = 518,
				[63192] = 484,
				[63189] = 481,
				[76462] = 557,
				[16991] = 181,
				[63190] = 479,
				[34541] = 309,
				[16654] = 140,
				[55013] = 401,
				[67134] = 494,
				[20201] = 191,
				[8367] = 60,
				[55301] = 427,
				[55641] = 449,
				[16728] = 156,
				[20874] = 192,
				[20890] = 197,
				[9933] = 77,
				[9945] = 82,
				[76463] = 558,
				[9957] = 86,
				[52571] = 378,
				[34979] = 322,
				[34981] = 323,
				[55303] = 429,
				[16729] = 157,
				[56400] = 458,
				[55015] = 404,
				[16990] = 180,
				[9931] = 76,
				[56357] = 457,
				[56550] = 460,
				[36122] = 326,
				[15295] = 122,
				[29552] = 243,
				[76464] = 559,
				[20897] = 196,
				[55177] = 410,
				[6518] = 48,
				[34546] = 315,
				[59440] = 471,
				[24139] = 215,
				[28243] = 233,
				[55309] = 435,
				[55174] = 409,
				[9818] = 68,
				[3325] = 18,
				[59441] = 472,
				[32655] = 301,
				[67130] = 496,
				[21913] = 199,
				[27588] = 223,
				[55201] = 420,
				[76181] = 505,
				[38475] = 352,
				[29698] = 293,
				[55304] = 430,
				[16730] = 155,
				[3324] = 17,
				[29545] = 237,
				[29553] = 244,
				[3328] = 20,
				[3331] = 22,
				[56551] = 461,
				[9814] = 67,
				[67131] = 491,
				[54978] = 397,
				[55656] = 450,
				[3297] = 12,
				[27829] = 229,
				[16639] = 127,
				[16655] = 144,
				[16651] = 137,
				[16659] = 147,
				[16667] = 141,
				[38476] = 353,
				[16731] = 158,
				[9918] = 71,
				[9926] = 74,
				[55017] = 402,
				[9942] = 81,
				[9950] = 83,
				[3326] = 19,
				[9966] = 90,
				[9974] = 94,
				[3334] = 24,
				[3337] = 26,
				[40036] = 358,
				[55305] = 431,
				[34533] = 304,
				[55369] = 445,
				[24136] = 212,
				[28244] = 231,
				[70568] = 501,
				[38478] = 355,
				[56552] = 462,
				[36124] = 330,
				[67133] = 493,
				[34530] = 319,
				[76468] = 563,
				[29617] = 263,
				[54945] = 392,
				[9916] = 70,
				[55057] = 407,
				[3515] = 46,
			},
			[4036] = {
				[15633] = 107,
				[23066] = 133,
				[32814] = 214,
				[46116] = 244,
				[12587] = 63,
				[12591] = 66,
				[12595] = 68,
				[12599] = 70,
				[12603] = 71,
				[12607] = 72,
				[30308] = 194,
				[30316] = 175,
				[30332] = 180,
				[30348] = 187,
				[84408] = 327,
				[22795] = 131,
				[84409] = 326,
				[26420] = 156,
				[26428] = 164,
				[19793] = 114,
				[30548] = 197,
				[19825] = 124,
				[19833] = 125,
				[56481] = 281,
				[12755] = 90,
				[12759] = 92,
				[84410] = 325,
				[41311] = 222,
				[82175] = 334,
				[55252] = 252,
				[23067] = 135,
				[84411] = 324,
				[30309] = 195,
				[30317] = 176,
				[30325] = 178,
				[56514] = 272,
				[30341] = 183,
				[30349] = 188,
				[12895] = 94,
				[12899] = 96,
				[12903] = 99,
				[12907] = 103,
				[40274] = 220,
				[41312] = 223,
				[67326] = 297,
				[82177] = 333,
				[60874] = 289,
				[39971] = 218,
				[26421] = 157,
				[61481] = 291,
				[19794] = 115,
				[8895] = 56,
				[44155] = 233,
				[30549] = 198,
				[43676] = 232,
				[30565] = 206,
				[30573] = 211,
				[54998] = 255,
				[23507] = 149,
				[67839] = 300,
				[23068] = 134,
				[84415] = 321,
				[12584] = 60,
				[36954] = 215,
				[12616] = 75,
				[12620] = 79,
				[12624] = 81,
				[30334] = 181,
				[30342] = 184,
				[84416] = 320,
				[63750] = 295,
				[41314] = 224,
				[22797] = 132,
				[15255] = 106,
				[39973] = 219,
				[12716] = 84,
				[12720] = 88,
				[19795] = 118,
				[44157] = 234,
				[19819] = 121,
				[30558] = 202,
				[30566] = 207,
				[30574] = 212,
				[12760] = 87,
				[55016] = 259,
				[84418] = 318,
				[41315] = 225,
				[7430] = 52,
				[23069] = 136,
				[23077] = 139,
				[46106] = 246,
				[9271] = 58,
				[46697] = 247,
				[30303] = 189,
				[30311] = 170,
				[56486] = 285,
				[30343] = 185,
				[12900] = 97,
				[12904] = 100,
				[12908] = 104,
				[41316] = 226,
				[39895] = 217,
				[46107] = 239,
				[26423] = 159,
				[19788] = 110,
				[19796] = 116,
				[30551] = 199,
				[56471] = 266,
				[30575] = 213,
				[55002] = 257,
				[41317] = 227,
				[23070] = 137,
				[23078] = 140,
				[46108] = 242,
				[12585] = 61,
				[12589] = 65,
				[12597] = 69,
				[30304] = 190,
				[30312] = 171,
				[30344] = 186,
				[84424] = 335,
				[63770] = 296,
				[41318] = 228,
				[24356] = 150,
				[46109] = 238,
				[26416] = 153,
				[12717] = 85,
				[13240] = 105,
				[30552] = 200,
				[30560] = 203,
				[30568] = 208,
				[23486] = 148,
				[41319] = 229,
				[95705] = 340,
				[95707] = 339,
				[94748] = 337,
				[95703] = 336,
				[82180] = 332,
				[54999] = 256,
				[26418] = 155,
				[23071] = 138,
				[23079] = 141,
				[46110] = 243,
				[84403] = 329,
				[3919] = 4,
				[84412] = 323,
				[84413] = 322,
				[84417] = 319,
				[84420] = 317,
				[84421] = 316,
				[30305] = 191,
				[30313] = 172,
				[84425] = 315,
				[30329] = 179,
				[30337] = 182,
				[84427] = 314,
				[84428] = 313,
				[12897] = 95,
				[22704] = 129,
				[12905] = 101,
				[84429] = 312,
				[56484] = 284,
				[41320] = 230,
				[84431] = 310,
				[84432] = 309,
				[81716] = 304,
				[8334] = 54,
				[61483] = 293,
				[81720] = 305,
				[81714] = 307,
				[60866] = 288,
				[3955] = 34,
				[30306] = 192,
				[24357] = 151,
				[46111] = 236,
				[26417] = 154,
				[26425] = 161,
				[19790] = 111,
				[81725] = 301,
				[68067] = 299,
				[19814] = 117,
				[67920] = 298,
				[30561] = 204,
				[30569] = 209,
				[62271] = 294,
				[81715] = 306,
				[61482] = 292,
				[61471] = 290,
				[56473] = 273,
				[56487] = 286,
				[84430] = 311,
				[56483] = 283,
				[23082] = 144,
				[56480] = 280,
				[41321] = 231,
				[53281] = 250,
				[56478] = 278,
				[56469] = 277,
				[56477] = 276,
				[56476] = 275,
				[56462] = 274,
				[15628] = 108,
				[60867] = 287,
				[56472] = 271,
				[3918] = 3,
				[23080] = 142,
				[46112] = 240,
				[12586] = 62,
				[12590] = 64,
				[3923] = 6,
				[3924] = 7,
				[3925] = 8,
				[3926] = 11,
				[19567] = 109,
				[3928] = 12,
				[12618] = 77,
				[12622] = 80,
				[3931] = 14,
				[3932] = 15,
				[3933] = 16,
				[3934] = 17,
				[56470] = 270,
				[3936] = 18,
				[3937] = 19,
				[3938] = 20,
				[3939] = 22,
				[3940] = 23,
				[3941] = 24,
				[3942] = 25,
				[56468] = 269,
				[3944] = 26,
				[3945] = 27,
				[3946] = 28,
				[22793] = 130,
				[54736] = 254,
				[3949] = 29,
				[3950] = 30,
				[56467] = 268,
				[3952] = 31,
				[3953] = 32,
				[12718] = 86,
				[12722] = 89,
				[3956] = 35,
				[3957] = 36,
				[3958] = 37,
				[3959] = 38,
				[3960] = 39,
				[3961] = 40,
				[3962] = 41,
				[12754] = 91,
				[12758] = 93,
				[3965] = 44,
				[3966] = 45,
				[3967] = 46,
				[3968] = 47,
				[3969] = 48,
				[56466] = 267,
				[3971] = 49,
				[3972] = 50,
				[3973] = 10,
				[56465] = 265,
				[56463] = 264,
				[0] = {
					["checksum"] = 4097121272,
					["scandate"] = "04/22/11 15:33:00",
					["name"] = "Engineering",
					["patcnt"] = 330,
					["deadbitmask"] = "HAAAAAAAAAAAAQAAAAAAADAAAAAABAAAAAAAAAAAAMAAAAAAAAAEAAAAk",
					["version"] = "4.1.0",
					["build"] = "13914",
					["bitlen"] = 342,
				},
				[3977] = 9,
				[3978] = 21,
				[3979] = 43,
				[56464] = 263,
				[56461] = 262,
				[56459] = 261,
				[23081] = 143,
				[46114] = 241,
				[8243] = 53,
				[9269] = 57,
				[9273] = 59,
				[56460] = 260,
				[23129] = 146,
				[12902] = 98,
				[54793] = 258,
				[30307] = 193,
				[30315] = 174,
				[82200] = 331,
				[3922] = 5,
				[54353] = 251,
				[19830] = 123,
				[46113] = 245,
				[56574] = 282,
				[28327] = 167,
				[12906] = 102,
				[19791] = 113,
				[19799] = 120,
				[12615] = 74,
				[12617] = 76,
				[12619] = 78,
				[19831] = 122,
				[6458] = 51,
				[8339] = 55,
				[82201] = 330,
				[81722] = 302,
				[30310] = 169,
				[30314] = 173,
				[30318] = 177,
				[30570] = 210,
				[46115] = 237,
				[26011] = 152,
				[26427] = 163,
				[19792] = 112,
				[26443] = 166,
				[26424] = 160,
				[30547] = 196,
				[41307] = 221,
				[30563] = 205,
				[56479] = 279,
				[56349] = 253,
				[12715] = 83,
				[30556] = 201,
				[26442] = 165,
				[36955] = 216,
				[84406] = 328,
				[21940] = 128,
				[26426] = 162,
				[23489] = 147,
				[26422] = 158,
				[44391] = 235,
				[3929] = 13,
				[12594] = 67,
				[12614] = 73,
				[23096] = 145,
				[19815] = 119,
				[3954] = 33,
				[81724] = 303,
				[3963] = 42,
			},
			[45357] = {
				[0] = {
					["checksum"] = 2016115785,
					["scandate"] = "02/08/11 07:05:20",
					["name"] = "Inscription",
					["build"] = "13596",
					["deadbitmask"] = "/AAAAGAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAA+",
					["version"] = "4.0.6",
					["patcnt"] = 466,
					["bitlen"] = 480,
				},
                		[98398] = 475,				
				[58332] = 286,
				[86004] = 427,
				[86643] = 441,
				[56943] = 85,
				[56959] = 82,
				[56975] = 125,
				[56991] = 356,
				[57007] = 99,
				[57023] = 136,
				[53462] = 37,
				[64257] = 370,
				[57119] = 169,
				[45382] = 6,
				[64305] = 407,
				[57167] = 317,
				[57183] = 155,
				[57199] = 166,
				[57215] = 45,
				[94405] = 464,
				[57247] = 203,
				[50620] = 16,
				[58301] = 262,
				[58317] = 272,
				[58333] = 300,
				[59387] = 322,
				[86645] = 443,
				[56944] = 90,
				[56960] = 88,
				[56976] = 113,
				[57008] = 104,
				[57024] = 137,
				[64258] = 372,
				[57120] = 170,
				[57152] = 342,
				[57168] = 333,
				[57184] = 149,
				[57200] = 153,
				[57216] = 46,
				[57232] = 202,
				[50605] = 24,
				[57264] = 222,
				[58302] = 297,
				[58318] = 271,
				[48114] = 7,
				[64051] = 357,
				[86615] = 436,
				[59484] = 318,
				[56945] = 77,
				[56961] = 75,
				[56977] = 126,
				[57009] = 95,
				[57025] = 138,
				[61177] = 257,
				[64259] = 374,
				[57121] = 171,
				[64291] = 391,
				[57153] = 347,
				[86616] = 437,
				[57185] = 156,
				[57201] = 154,
				[57217] = 47,
				[57233] = 201,
				[50606] = 25,
				[57265] = 212,
				[58303] = 264,
				[58319] = 305,
				[86649] = 447,
				[56946] = 86,
				[56978] = 114,
				[56994] = 100,
				[57010] = 112,
				[57026] = 139,
				[64260] = 373,
				[57122] = 178,
				[57154] = 326,
				[57170] = 341,
				[57186] = 150,
				[57713] = 69,
				[57234] = 208,
				[50607] = 26,
				[57266] = 211,
				[59326] = 287,
				[58320] = 284,
				[48116] = 8,
				[94404] = 465,
				[94406] = 463,
				[50619] = 15,
				[50603] = 22,
				[94403] = 466,
				[64053] = 358,
				[86650] = 448,
				[52843] = 36,
				[56947] = 87,
				[56963] = 74,
				[56979] = 119,
				[56995] = 96,
				[57011] = 110,
				[57027] = 130,
				[57198] = 160,
				[57248] = 204,
				[86646] = 444,
				[86644] = 442,
				[64261] = 371,
				[57123] = 172,
				[86005] = 426,
				[57155] = 345,
				[50608] = 27,
				[86652] = 449,
				[57714] = 70,
				[57219] = 48,
				[57235] = 205,
				[57251] = 198,
				[57267] = 224,
				[50604] = 23,
				[58321] = 299,
				[58337] = 275,
				[58289] = 260,
				[64309] = 410,
				[59487] = 248,
				[89368] = 452,
				[57156] = 329,
				[59561] = 346,
				[86654] = 430,
				[86653] = 450,
				[56948] = 79,
				[94402] = 467,
				[89815] = 458,
				[56996] = 106,
				[57012] = 108,
				[57028] = 145,
				[58491] = 237,
				[89369] = 453,
				[58306] = 265,
				[64246] = 360,
				[64262] = 375,
				[57124] = 181,
				[64294] = 381,
				[64310] = 414,
				[57172] = 336,
				[57188] = 151,
				[57715] = 71,
				[57220] = 49,
				[57236] = 199,
				[57252] = 200,
				[57268] = 226,
				[94000] = 462,
				[58322] = 309,
				[58338] = 303,
				[71101] = 423,
				[57711] = 67,
				[64275] = 397,
				[64278] = 390,
				[64289] = 400,
				[58481] = 243,
				[95215] = 470,
				[57269] = 214,
				[58482] = 244,
				[56965] = 354,
				[56981] = 118,
				[56997] = 97,
				[89370] = 454,
				[61117] = 253,
				[86401] = 432,
				[89244] = 429,
				[71102] = 424,
				[64247] = 361,
				[58299] = 261,
				[57125] = 173,
				[64295] = 380,
				[57157] = 316,
				[50618] = 14,
				[57189] = 164,
				[57716] = 72,
				[57221] = 50,
				[57237] = 209,
				[50610] = 29,
				[89371] = 455,
				[58307] = 290,
				[58323] = 274,
				[58339] = 304,
				[50602] = 21,
				[94401] = 468,
				[58483] = 245,
				[57197] = 152,
				[86640] = 438,
				[57014] = 350,
				[57030] = 132,
				[48247] = 9,
				[56950] = 89,
				[64287] = 403,
				[95710] = 472,
				[56998] = 111,
				[89372] = 456,
				[61118] = 256,
				[64271] = 382,
				[86402] = 433,
				[61677] = 351,
				[64248] = 359,
				[64296] = 402,
				[64280] = 385,
				[68166] = 421,
				[57158] = 312,
				[58478] = 241,
				[57190] = 167,
				[64311] = 412,
				[57222] = 51,
				[57238] = 191,
				[50611] = 30,
				[89373] = 457,
				[58308] = 267,
				[58324] = 291,
				[58340] = 294,
				[58480] = 242,
				[89367] = 451,
				[59560] = 349,
				[64277] = 378,
				[56951] = 78,
				[56957] = 83,
				[95825] = 473,
				[48248] = 35,
				[58484] = 230,
				[57710] = 66,
				[56983] = 124,
				[56999] = 107,
				[57031] = 133,
				[61119] = 254,
				[57253] = 353,
				[61288] = 258,
				[64313] = 419,
				[64249] = 362,
				[59340] = 335,
				[64281] = 389,
				[64297] = 383,
				[57159] = 340,
				[60337] = 337,
				[57191] = 161,
				[57207] = 38,
				[57223] = 52,
				[57239] = 189,
				[50612] = 10,
				[57271] = 215,
				[92026] = 459,
				[58325] = 285,
				[48121] = 76,
				[64274] = 384,
				[64312] = 409,
				[59339] = 334,
				[58298] = 263,
				[50617] = 13,
				[50601] = 20,
				[59475] = 313,
				[59491] = 249,
				[56952] = 84,
				[59338] = 332,
				[56984] = 471,
				[57000] = 101,
				[58476] = 240,
				[58565] = 246,
				[57196] = 148,
				[92027] = 460,
				[64314] = 418,
				[64250] = 363,
				[64266] = 376,
				[57128] = 182,
				[64298] = 394,
				[57160] = 343,
				[64318] = 398,
				[57703] = 60,
				[57208] = 39,
				[57224] = 53,
				[57240] = 192,
				[58326] = 273,
				[57272] = 219,
				[58310] = 266,
				[86375] = 431,
				[58342] = 276,
				[64286] = 401,
				[64270] = 404,
				[59498] = 339,
				[94711] = 469,
				[57250] = 207,
				[61120] = 255,
				[59490] = 325,
				[56953] = 80,
				[58486] = 232,
				[64283] = 395,
				[69385] = 422,
				[57001] = 102,
				[59559] = 344,
				[57033] = 140,
				[57161] = 320,
				[57193] = 159,
				[56956] = 81,
				[64251] = 364,
				[57113] = 179,
				[57129] = 174,
				[59495] = 330,
				[64315] = 416,
				[57257] = 221,
				[57704] = 61,
				[57209] = 40,
				[57225] = 54,
				[57241] = 195,
				[50614] = 11,
				[59489] = 324,
				[58311] = 282,
				[58327] = 307,
				[58343] = 279,
				[52738] = 33,
				[60336] = 323,
				[58316] = 298,
				[58286] = 280,
				[58288] = 281,
				[64268] = 379,
				[64284] = 393,
				[59493] = 327,
				[58487] = 233,
				[57162] = 311,
				[56986] = 122,
				[57002] = 103,
				[57242] = 196,
				[57034] = 142,
				[58297] = 306,
				[57259] = 210,
				[57243] = 206,
				[64252] = 365,
				[57114] = 168,
				[57130] = 188,
				[64300] = 392,
				[64316] = 417,
				[57274] = 218,
				[57194] = 147,
				[57210] = 41,
				[57226] = 55,
				[50599] = 18,
				[57258] = 223,
				[58296] = 259,
				[58312] = 270,
				[58328] = 292,
				[58344] = 277,
				[52739] = 34,
				[58287] = 296,
				[67600] = 420,
				[57706] = 62,
				[58472] = 238,
				[64317] = 415,
				[59478] = 314,
				[59494] = 328,
				[58488] = 234,
				[56971] = 115,
				[56987] = 127,
				[57003] = 105,
				[57019] = 146,
				[57035] = 143,
				[59315] = 295,
				[64285] = 396,
				[58485] = 231,
				[64253] = 366,
				[57115] = 183,
				[57131] = 175,
				[58336] = 288,
				[57163] = 315,
				[56955] = 73,
				[57195] = 162,
				[57211] = 42,
				[57227] = 56,
				[50600] = 19,
				[50616] = 12,
				[57275] = 220,
				[58313] = 269,
				[58329] = 301,
				[58345] = 289,
				[56954] = 91,
				[57192] = 158,
				[58341] = 310,
				[59502] = 250,
				[59486] = 319,
				[50609] = 28,
				[50598] = 17,
				[58473] = 239,
				[58489] = 235,
				[56972] = 120,
				[56988] = 128,
				[57004] = 94,
				[57020] = 135,
				[57036] = 141,
				[62162] = 355,
				[57032] = 134,
				[64308] = 413,
				[64254] = 367,
				[57116] = 180,
				[57132] = 176,
				[64302] = 405,
				[57164] = 348,
				[64282] = 399,
				[57707] = 63,
				[57112] = 186,
				[57228] = 57,
				[57244] = 197,
				[57260] = 225,
				[57276] = 229,
				[58314] = 268,
				[58330] = 302,
				[58346] = 278,
				[92579] = 461,
				[59504] = 252,
				[57127] = 185,
				[59503] = 251,
				[96284] = 474,
				[64276] = 377,
				[59480] = 247,
				[59496] = 331,
				[58490] = 236,
				[56973] = 116,
				[56989] = 121,
				[57005] = 98,
				[57021] = 144,
				[56980] = 123,
				[86403] = 434,
				[57270] = 217,
				[57126] = 184,
				[64255] = 368,
				[57117] = 187,
				[57133] = 177,
				[64303] = 406,
				[57165] = 321,
				[57181] = 165,
				[57708] = 64,
				[57213] = 43,
				[57229] = 58,
				[57245] = 193,
				[57261] = 227,
				[57277] = 216,
				[58315] = 283,
				[58331] = 293,
				[58347] = 308,
				[64279] = 386,
				[57029] = 131,
				[56949] = 93,
				[64273] = 387,
				[57249] = 194,
				[86609] = 435,
				[86641] = 439,
				[59497] = 338,
				[56958] = 92,
				[56974] = 117,
				[56990] = 352,
				[57006] = 109,
				[57022] = 129,
				[85785] = 425,
				[64307] = 411,
				[57263] = 228,
				[57712] = 68,
				[64256] = 369,
				[57187] = 157,
				[64288] = 388,
				[64304] = 408,
				[86647] = 445,
				[86642] = 440,
				[57709] = 65,
				[57214] = 44,
				[57230] = 59,
				[57246] = 190,
				[57262] = 213,
				[86648] = 446,
				[57202] = 163,
			},
			[25229] = {
				[0] = {
					["checksum"] = 1555150005,
					["scandate"] = "04/22/11 15:35:04",
					["name"] = "Jewelcrafting",
					["bitlen"] = 606,
					["patcnt"] = 597,
					["version"] = "4.1.0",
					["deadbitmask"] = "DAAAAAAAAAcAAAAAAAAAAAQAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAg",
					["build"] = "13914",
				},
				[53963] = 296,
				[39705] = 173,
				[39737] = 190,
				[73336] = 503,
				[73400] = 556,
				[56201] = 369,
				[66431] = 406,
				[39961] = 197,
				[55402] = 345,
				[73273] = 492,
				[73337] = 504,
				[73401] = 560,
				[73465] = 566,
				[28916] = 71,
				[28948] = 80,
				[26918] = 56,
				[31058] = 115,
				[53932] = 280,
				[31090] = 103,
				[31106] = 86,
				[39706] = 174,
				[39738] = 191,
				[73338] = 505,
				[73402] = 561,
				[56202] = 370,
				[66497] = 421,
				[66561] = 432,
				[55403] = 346,
				[73275] = 494,
				[73339] = 506,
				[73403] = 562,
				[73467] = 571,
				[25320] = 12,
				[66434] = 408,
				[66498] = 422,
				[66562] = 433,
				[53869] = 252,
				[53933] = 281,
				[53965] = 297,
				[53997] = 322,
				[39739] = 193,
				[73340] = 507,
				[73404] = 558,
				[56203] = 371,
				[66435] = 409,
				[66499] = 423,
				[39963] = 196,
				[32866] = 148,
				[55404] = 347,
				[73277] = 496,
				[73341] = 508,
				[73405] = 563,
				[73469] = 568,
				[28917] = 72,
				[28933] = 76,
				[26903] = 45,
				[53870] = 253,
				[53934] = 241,
				[53966] = 298,
				[53998] = 323,
				[39740] = 195,
				[32178] = 137,
				[73406] = 559,
				[73470] = 569,
				[66501] = 424,
				[32867] = 145,
				[55405] = 348,
				[73279] = 498,
				[73343] = 509,
				[73407] = 555,
				[25305] = 8,
				[25321] = 13,
				[66502] = 425,
				[58954] = 395,
				[53871] = 254,
				[39741] = 192,
				[73344] = 510,
				[73408] = 557,
				[56205] = 372,
				[37855] = 164,
				[66567] = 434,
				[32868] = 149,
				[58507] = 393,
				[38175] = 166,
				[73281] = 500,
				[73345] = 511,
				[73409] = 554,
				[73473] = 575,
				[28918] = 73,
				[28950] = 81,
				[26920] = 57,
				[53872] = 255,
				[31060] = 116,
				[46775] = 223,
				[53968] = 299,
				[54000] = 324,
				[39742] = 194,
				[73346] = 512,
				[56206] = 373,
				[66441] = 411,
				[66505] = 426,
				[66569] = 436,
				[32869] = 146,
				[55407] = 338,
				[73347] = 513,
				[73475] = 574,
				[66442] = 412,
				[66506] = 427,
				[66570] = 437,
				[42588] = 205,
				[53873] = 256,
				[46776] = 224,
				[54001] = 325,
				[39711] = 176,
				[73348] = 514,
				[73476] = 573,
				[66443] = 413,
				[25610] = 18,
				[66571] = 438,
				[32870] = 147,
				[73349] = 515,
				[28903] = 65,
				[26873] = 30,
				[66572] = 439,
				[42589] = 206,
				[53874] = 257,
				[31061] = 117,
				[46777] = 225,
				[31109] = 88,
				[73222] = 453,
				[73350] = 516,
				[56208] = 374,
				[66445] = 414,
				[32807] = 141,
				[32871] = 150,
				[56496] = 375,
				[73223] = 454,
				[73351] = 517,
				[25323] = 14,
				[66446] = 415,
				[66574] = 441,
				[42558] = 204,
				[53843] = 237,
				[53875] = 258,
				[46778] = 226,
				[54003] = 326,
				[73224] = 455,
				[73352] = 518,
				[66447] = 416,
				[32808] = 142,
				[32872] = 152,
				[56497] = 376,
				[73225] = 456,
				[73353] = 519,
				[26874] = 31,
				[28936] = 77,
				[26906] = 46,
				[53844] = 238,
				[53876] = 259,
				[31062] = 118,
				[46779] = 227,
				[53972] = 300,
				[73226] = 457,
				[73354] = 520,
				[32809] = 143,
				[32873] = 153,
				[56498] = 377,
				[56530] = 381,
				[73227] = 458,
				[73355] = 521,
				[59759] = 396,
				[66450] = 418,
				[40514] = 198,
				[42592] = 210,
				[53877] = 260,
				[53941] = 242,
				[54005] = 327,
				[56083] = 357,
				[73356] = 522,
				[25612] = 19,
				[32810] = 144,
				[32874] = 151,
				[56499] = 378,
				[56531] = 382,
				[73229] = 460,
				[73357] = 523,
				[28905] = 66,
				[66452] = 419,
				[28953] = 82,
				[42593] = 208,
				[31063] = 119,
				[31079] = 131,
				[53974] = 301,
				[31111] = 94,
				[73230] = 461,
				[73358] = 524,
				[66453] = 420,
				[66581] = 444,
				[56500] = 379,
				[73231] = 462,
				[73359] = 525,
				[66582] = 445,
				[53879] = 261,
				[53943] = 243,
				[53975] = 302,
				[56053] = 352,
				[56085] = 359,
				[73360] = 526,
				[25613] = 20,
				[66583] = 446,
				[56501] = 380,
				[73233] = 464,
				[73361] = 527,
				[26876] = 33,
				[66584] = 447,
				[38503] = 167,
				[31048] = 105,
				[31064] = 120,
				[31080] = 132,
				[53976] = 303,
				[31112] = 84,
				[56086] = 362,
				[73362] = 528,
				[66585] = 448,
				[34955] = 157,
				[25278] = 2,
				[66586] = 449,
				[38504] = 168,
				[53945] = 283,
				[53977] = 304,
				[56055] = 353,
				[56087] = 360,
				[73364] = 529,
				[73620] = 584,
				[25614] = 21,
				[66587] = 450,
				[55384] = 329,
				[73365] = 530,
				[41414] = 200,
				[73621] = 583,
				[26909] = 49,
				[26925] = 58,
				[53882] = 263,
				[31065] = 121,
				[31081] = 133,
				[31097] = 98,
				[31113] = 90,
				[56088] = 361,
				[73366] = 531,
				[73494] = 586,
				[73622] = 582,
				[96256] = 601,
				[73239] = 466,
				[73367] = 532,
				[73495] = 585,
				[41415] = 201,
				[43493] = 211,
				[96257] = 600,
				[53883] = 264,
				[36524] = 160,
				[54011] = 318,
				[39721] = 182,
				[68253] = 452,
				[73496] = 587,
				[25615] = 22,
				[55386] = 330,
				[73241] = 468,
				[46403] = 219,
				[73369] = 534,
				[73497] = 588,
				[26878] = 34,
				[39466] = 169,
				[26926] = 59,
				[53852] = 244,
				[31050] = 107,
				[31066] = 122,
				[31082] = 134,
				[31098] = 95,
				[54012] = 319,
				[73242] = 469,
				[73370] = 535,
				[73498] = 592,
				[73626] = 579,
				[55387] = 331,
				[34959] = 158,
				[73243] = 470,
				[25280] = 4,
				[66338] = 451,
				[73627] = 578,
				[39467] = 170,
				[53885] = 266,
				[36526] = 162,
				[53949] = 286,
				[53981] = 307,
				[73244] = 471,
				[73372] = 537,
				[55388] = 332,
				[34960] = 155,
				[73245] = 472,
				[46405] = 220,
				[73373] = 538,
				[41418] = 199,
				[28925] = 74,
				[46597] = 221,
				[26911] = 51,
				[26927] = 60,
				[53854] = 245,
				[31051] = 108,
				[53918] = 272,
				[31083] = 135,
				[54014] = 320,
				[39724] = 181,
				[73374] = 539,
				[73502] = 591,
				[55389] = 349,
				[34961] = 156,
				[73247] = 474,
				[73375] = 540,
				[73503] = 590,
				[53919] = 273,
				[53951] = 287,
				[73248] = 475,
				[73376] = 541,
				[73504] = 596,
				[25617] = 23,
				[55390] = 333,
				[64725] = 400,
				[73249] = 476,
				[73377] = 542,
				[73505] = 595,
				[41420] = 202,
				[26880] = 35,
				[26896] = 41,
				[39470] = 171,
				[26928] = 61,
				[53856] = 247,
				[31052] = 109,
				[53920] = 274,
				[53952] = 288,
				[53984] = 308,
				[73250] = 477,
				[73378] = 543,
				[73506] = 594,
				[58492] = 394,
				[64726] = 401,
				[73379] = 544,
				[39471] = 172,
				[53857] = 246,
				[53921] = 275,
				[53985] = 309,
				[54017] = 240,
				[39727] = 186,
				[73380] = 545,
				[25618] = 24,
				[55392] = 334,
				[64727] = 402,
				[73381] = 546,
				[26881] = 36,
				[26897] = 42,
				[31053] = 110,
				[53922] = 276,
				[53954] = 289,
				[53986] = 310,
				[39728] = 185,
				[31149] = 101,
				[73382] = 547,
				[46122] = 216,
				[55393] = 335,
				[64728] = 403,
				[25283] = 5,
				[53859] = 248,
				[53891] = 267,
				[53923] = 277,
				[53955] = 290,
				[53987] = 311,
				[54019] = 316,
				[58143] = 385,
				[73384] = 549,
				[56193] = 363,
				[25619] = 25,
				[46123] = 218,
				[55394] = 336,
				[28912] = 68,
				[26882] = 37,
				[28944] = 78,
				[26914] = 53,
				[53860] = 249,
				[53892] = 268,
				[53924] = 278,
				[53988] = 312,
				[73258] = 478,
				[56194] = 364,
				[46124] = 214,
				[55395] = 337,
				[38068] = 165,
				[28910] = 67,
				[53884] = 265,
				[73259] = 479,
				[31049] = 106,
				[25284] = 6,
				[28955] = 83,
				[53978] = 305,
				[25287] = 7,
				[31076] = 128,
				[25255] = 3,
				[26912] = 52,
				[56049] = 350,
				[53861] = 250,
				[53893] = 269,
				[53925] = 279,
				[53957] = 291,
				[56056] = 354,
				[73280] = 499,
				[39731] = 184,
				[58150] = 392,
				[73474] = 570,
				[56195] = 365,
				[25498] = 17,
				[25490] = 16,
				[73468] = 564,
				[25620] = 26,
				[46125] = 217,
				[31055] = 112,
				[55396] = 339,
				[31054] = 111,
				[95756] = 597,
				[73278] = 497,
				[73383] = 548,
				[66432] = 407,
				[62242] = 397,
				[73276] = 495,
				[53880] = 262,
				[25339] = 11,
				[39720] = 183,
				[46803] = 228,
				[62941] = 398,
				[53996] = 321,
				[26915] = 54,
				[53830] = 282,
				[53980] = 306,
				[53894] = 270,
				[31071] = 126,
				[53958] = 292,
				[31103] = 97,
				[31102] = 99,
				[58146] = 388,
				[28947] = 79,
				[28927] = 75,
				[56196] = 366,
				[28915] = 70,
				[47053] = 229,
				[31078] = 130,
				[31070] = 125,
				[46126] = 213,
				[31095] = 102,
				[55397] = 340,
				[66448] = 417,
				[31091] = 87,
				[26902] = 44,
				[73274] = 493,
				[66439] = 410,
				[73263] = 482,
				[66576] = 442,
				[66568] = 435,
				[26887] = 40,
				[25317] = 9,
				[36525] = 161,
				[46601] = 222,
				[66560] = 431,
				[66573] = 440,
				[53831] = 235,
				[73368] = 533,
				[26883] = 38,
				[58147] = 389,
				[39715] = 178,
				[53991] = 313,
				[25493] = 15,
				[39733] = 188,
				[32179] = 138,
				[58149] = 391,
				[56197] = 367,
				[73520] = 589,
				[47054] = 230,
				[39734] = 189,
				[25621] = 27,
				[46127] = 215,
				[73260] = 480,
				[55398] = 341,
				[26872] = 29,
				[31101] = 92,
				[53946] = 284,
				[31092] = 100,
				[31077] = 129,
				[73265] = 484,
				[54023] = 317,
				[31068] = 124,
				[53948] = 285,
				[73521] = 593,
				[28914] = 69,
				[31088] = 96,
				[26900] = 43,
				[26916] = 55,
				[53832] = 236,
				[31108] = 91,
				[31056] = 113,
				[31072] = 127,
				[53960] = 293,
				[31104] = 89,
				[73228] = 459,
				[73266] = 485,
				[54009] = 328,
				[39718] = 180,
				[39716] = 179,
				[56084] = 358,
				[47055] = 231,
				[36523] = 159,
				[31085] = 85,
				[73232] = 463,
				[42591] = 209,
				[55399] = 342,
				[73234] = 465,
				[73240] = 467,
				[73246] = 473,
				[58144] = 386,
				[63743] = 399,
				[73267] = 486,
				[34590] = 154,
				[44794] = 212,
				[58148] = 390,
				[25318] = 10,
				[41429] = 203,
				[31084] = 104,
				[66554] = 428,
				[42590] = 207,
				[39736] = 187,
				[53865] = 251,
				[32801] = 140,
				[56052] = 351,
				[53961] = 294,
				[53993] = 314,
				[73262] = 481,
				[73268] = 487,
				[73264] = 483,
				[73396] = 550,
				[56199] = 368,
				[26910] = 50,
				[47056] = 232,
				[73623] = 581,
				[25622] = 28,
				[73272] = 491,
				[32259] = 139,
				[55400] = 343,
				[56079] = 355,
				[47280] = 233,
				[58142] = 384,
				[39714] = 175,
				[31107] = 93,
				[73269] = 488,
				[31067] = 123,
				[73397] = 552,
				[26875] = 32,
				[26907] = 47,
				[66428] = 404,
				[26885] = 39,
				[66556] = 429,
				[58141] = 383,
				[56081] = 356,
				[39713] = 177,
				[31057] = 114,
				[53845] = 239,
				[53962] = 295,
				[53994] = 315,
				[26908] = 48,
				[73270] = 489,
				[73371] = 536,
				[73398] = 553,
				[66579] = 443,
				[37818] = 163,
				[66429] = 405,
				[53917] = 271,
				[66557] = 430,
				[73466] = 565,
				[73472] = 567,
				[55401] = 344,
				[73464] = 572,
				[58145] = 387,
				[73471] = 576,
				[73478] = 577,
				[73625] = 580,
				[73271] = 490,
				[73335] = 502,
				[73399] = 551,
				[95755] = 598,
				[95754] = 599,
				[96255] = 602,
				[96226] = 603,
				[98921] = 604,
			},
		[2550] = {
				[0] = {
					["checksum"] = 2596420637,
					["scandate"] = "02/08/11 07:01:48",
					["name"] = "Cooking",
					["build"] = "13596",
					["deadbitmask"] = "JAEAAAAAEACAAAAEAAIAAAAAAAAAAAAAAQAA",
					["version"] = "4.0.6",
					["patcnt"] = 208,
					["bitlen"] = 216,
				},
				[33277] = 76,
				[33285] = 80,
				[33293] = 88,
				[88021] = 185,
				[45549] = 122,
				[43772] = 106,
				[45565] = 118,
				[15856] = 42,
				[6415] = 19,
				[6416] = 20,
				[22480] = 67,
				[6418] = 22,
				[6419] = 23,
				[36210] = 93,
				[53056] = 112,
				[88022] = 186,
				[57423] = 128,
				[9513] = 38,
				[57439] = 144,
				[62045] = 156,
				[37836] = 94,
				[33278] = 77,
				[33286] = 81,
				[15910] = 47,
				[18245] = 58,
				[43765] = 103,
				[45558] = 132,
				[45566] = 120,
				[7213] = 27,
				[25704] = 72,
				[64054] = 162,
				[57440] = 145,
				[3370] = 4,
				[33279] = 78,
				[33287] = 82,
				[33295] = 90,
				[43758] = 101,
				[3373] = 7,
				[7751] = 28,
				[7752] = 29,
				[7753] = 30,
				[7754] = 31,
				[7755] = 32,
				[3376] = 8,
				[3377] = 9,
				[8607] = 37,
				[88042] = 197,
				[45695] = 108,
				[57433] = 138,
				[57441] = 146,
				[6499] = 26,
				[6500] = 25,
				[6501] = 24,
				[58525] = 153,
				[18238] = 52,
				[18242] = 55,
				[18246] = 59,
				[45552] = 125,
				[45560] = 113,
				[45568] = 135,
				[58523] = 152,
				[64358] = 163,
				[88005] = 172,
				[88006] = 174,
				[66034] = 165,
				[24418] = 69,
				[96133] = 204,
				[46684] = 109,
				[88028] = 189,
				[3397] = 10,
				[3371] = 5,
				[28267] = 74,
				[57434] = 139,
				[3399] = 12,
				[3398] = 11,
				[21143] = 65,
				[13028] = 107,
				[88039] = 196,
				[38867] = 96,
				[88037] = 195,
				[66035] = 166,
				[33289] = 84,
				[20916] = 63,
				[21175] = 66,
				[45553] = 126,
				[88045] = 199,
				[15853] = 40,
				[15855] = 41,
				[88025] = 188,
				[88020] = 184,
				[15861] = 43,
				[15863] = 44,
				[15865] = 45,
				[42302] = 98,
				[88004] = 171,
				[88024] = 187,
				[66036] = 167,
				[24801] = 70,
				[7827] = 33,
				[7828] = 34,
				[88030] = 190,
				[88046] = 200,
				[3400] = 13,
				[88014] = 178,
				[57435] = 140,
				[57443] = 148,
				[18239] = 51,
				[62049] = 160,
				[43761] = 102,
				[18243] = 56,
				[38868] = 95,
				[88047] = 201,
				[66037] = 168,
				[58527] = 154,
				[33290] = 85,
				[88015] = 179,
				[18247] = 60,
				[15915] = 48,
				[45562] = 115,
				[45570] = 137,
				[88011] = 175,
				[22761] = 68,
				[6414] = 18,
				[43779] = 104,
				[65454] = 164,
				[45022] = 105,
				[15933] = 49,
				[15935] = 39,
				[66038] = 169,
				[33292] = 87,
				[88019] = 183,
				[88016] = 180,
				[18240] = 54,
				[62350] = 161,
				[58521] = 151,
				[21144] = 64,
				[2538] = 1,
				[20626] = 62,
				[2539] = 205,
				[62050] = 159,
				[2540] = 2,
				[2545] = 211,
				[2541] = 207,
				[58512] = 150,
				[2542] = 208,
				[58528] = 155,
				[2543] = 209,
				[88017] = 181,
				[2544] = 210,
				[45555] = 129,
				[45563] = 116,
				[45571] = 136,
				[2546] = 212,
				[45557] = 131,
				[2547] = 213,
				[2548] = 214,
				[42296] = 97,
				[45554] = 127,
				[2549] = 215,
				[8604] = 36,
				[88033] = 192,
				[58065] = 149,
				[57442] = 147,
				[88018] = 182,
				[88034] = 173,
				[57436] = 141,
				[57421] = 121,
				[45567] = 134,
				[57437] = 142,
				[33296] = 91,
				[6412] = 16,
				[62051] = 158,
				[6413] = 17,
				[43707] = 100,
				[33291] = 86,
				[2795] = 206,
				[33276] = 75,
				[33284] = 79,
				[88003] = 170,
				[18244] = 57,
				[88035] = 193,
				[45556] = 130,
				[45564] = 117,
				[6417] = 21,
				[25659] = 71,
				[45559] = 133,
				[93741] = 203,
				[88031] = 191,
				[4094] = 15,
				[42305] = 99,
				[88012] = 176,
				[45550] = 123,
				[88013] = 177,
				[8238] = 35,
				[25954] = 73,
				[46688] = 110,
				[88036] = 194,
				[45569] = 119,
				[45561] = 114,
				[18241] = 53,
				[57438] = 143,
				[88044] = 198,
				[62044] = 157,
				[45551] = 124,
				[3372] = 6,
				[33294] = 89,
				[33288] = 83,
				[15906] = 46,
			},
			[3908] = {
				[12056] = 111,
				[12060] = 113,
				[12064] = 117,
				[12068] = 121,
				[12072] = 125,
				[12076] = 129,
				[12080] = 133,
				[12084] = 137,
				[12088] = 141,
				[12092] = 145,
				[55921] = 353,
				[23665] = 211,
				[26747] = 227,
				[26755] = 234,
				[26763] = 242,
				[26771] = 246,
				[26779] = 254,
				[67066] = 425,
				[75306] = 457,
				[31434] = 278,
				[31442] = 284,
				[7623] = 65,
				[7629] = 68,
				[7633] = 69,
				[7639] = 71,
				[7643] = 72,
				[75307] = 459,
				[24903] = 218,
				[22867] = 203,
				[55906] = 345,
				[55922] = 354,
				[56002] = 370,
				[56018] = 385,
				[56034] = 398,
				[63204] = 419,
				[75308] = 477,
				[18404] = 151,
				[18412] = 159,
				[18420] = 167,
				[18436] = 173,
				[18444] = 180,
				[18452] = 188,
				[27658] = 261,
				[70550] = 431,
				[94743] = 495,
				[75597] = 494,
				[28209] = 270,
				[60969] = 410,
				[75178] = 493,
				[3854] = 34,
				[6693] = 63,
				[6695] = 64,
				[18453] = 189,
				[23666] = 212,
				[75260] = 490,
				[8791] = 94,
				[8795] = 96,
				[8799] = 98,
				[26772] = 247,
				[26780] = 255,
				[75267] = 489,
				[36665] = 309,
				[18439] = 176,
				[75310] = 481,
				[75262] = 487,
				[36672] = 305,
				[31435] = 279,
				[31443] = 285,
				[31451] = 290,
				[31459] = 296,
				[56015] = 382,
				[75261] = 484,
				[63924] = 416,
				[26087] = 222,
				[70552] = 433,
				[75155] = 482,
				[75309] = 480,
				[75247] = 463,
				[75265] = 479,
				[75154] = 478,
				[28481] = 271,
				[22868] = 204,
				[55908] = 347,
				[55924] = 356,
				[20848] = 197,
				[2964] = 14,
				[75289] = 475,
				[75255] = 474,
				[56004] = 373,
				[56020] = 387,
				[70553] = 434,
				[63206] = 417,
				[75301] = 473,
				[75248] = 440,
				[75292] = 472,
				[26085] = 220,
				[8802] = 99,
				[40060] = 319,
				[18405] = 153,
				[19435] = 196,
				[26086] = 221,
				[12050] = 107,
				[18437] = 174,
				[18445] = 181,
				[12053] = 109,
				[27659] = 262,
				[12061] = 114,
				[12065] = 118,
				[12069] = 122,
				[12073] = 126,
				[12077] = 130,
				[12081] = 134,
				[12085] = 138,
				[12089] = 142,
				[12093] = 146,
				[55925] = 357,
				[55941] = 360,
				[23667] = 213,
				[56027] = 394,
				[26749] = 228,
				[26757] = 236,
				[26765] = 244,
				[26773] = 248,
				[26781] = 256,
				[3850] = 31,
				[36667] = 307,
				[75269] = 465,
				[75250] = 464,
				[41208] = 321,
				[3851] = 32,
				[75305] = 460,
				[31444] = 286,
				[31452] = 291,
				[31460] = 297,
				[55903] = 342,
				[36316] = 302,
				[2395] = 12,
				[75297] = 455,
				[22813] = 201,
				[7893] = 74,
				[75293] = 454,
				[75251] = 447,
				[28480] = 273,
				[40021] = 315,
				[28482] = 272,
				[22869] = 205,
				[55910] = 348,
				[75146] = 452,
				[20849] = 198,
				[26777] = 252,
				[75145] = 450,
				[75142] = 449,
				[56006] = 375,
				[56022] = 389,
				[12063] = 116,
				[75257] = 446,
				[75254] = 445,
				[36668] = 308,
				[75288] = 437,
				[75256] = 443,
				[75249] = 442,
				[75252] = 441,
				[18406] = 152,
				[18414] = 162,
				[18422] = 169,
				[12049] = 106,
				[18438] = 175,
				[18446] = 182,
				[18454] = 190,
				[27660] = 263,
				[24091] = 216,
				[74964] = 438,
				[50194] = 331,
				[75253] = 444,
				[36318] = 303,
				[8760] = 81,
				[8764] = 83,
				[27724] = 264,
				[8772] = 86,
				[8776] = 79,
				[8780] = 89,
				[8784] = 91,
				[70551] = 432,
				[26750] = 229,
				[26758] = 237,
				[56023] = 390,
				[26774] = 249,
				[26782] = 257,
				[56011] = 380,
				[36669] = 306,
				[56026] = 393,
				[67145] = 428,
				[59585] = 405,
				[63203] = 420,
				[31437] = 280,
				[67065] = 424,
				[31453] = 292,
				[31461] = 298,
				[12044] = 101,
				[3755] = 56,
				[64730] = 422,
				[3757] = 57,
				[3758] = 55,
				[26745] = 225,
				[26407] = 224,
				[67079] = 426,
				[63205] = 418,
				[40023] = 317,
				[60990] = 414,
				[22870] = 206,
				[63742] = 415,
				[55899] = 339,
				[60993] = 412,
				[22902] = 207,
				[60971] = 411,
				[46128] = 328,
				[56008] = 377,
				[41205] = 322,
				[59588] = 408,
				[59587] = 407,
				[59586] = 406,
				[36670] = 304,
				[36686] = 310,
				[67144] = 427,
				[59584] = 404,
				[59583] = 403,
				[18407] = 154,
				[18415] = 160,
				[18423] = 170,
				[8465] = 75,
				[12046] = 103,
				[18447] = 183,
				[18455] = 191,
				[37884] = 314,
				[12062] = 115,
				[12066] = 119,
				[12070] = 123,
				[12074] = 127,
				[12078] = 131,
				[12082] = 135,
				[12086] = 139,
				[12090] = 143,
				[55913] = 350,
				[59582] = 402,
				[3914] = 52,
				[56039] = 399,
				[56031] = 397,
				[26751] = 230,
				[26759] = 238,
				[41206] = 323,
				[26775] = 250,
				[26783] = 258,
				[31450] = 289,
				[75258] = 483,
				[75290] = 467,
				[67146] = 429,
				[56025] = 392,
				[3813] = 58,
				[31438] = 281,
				[22759] = 200,
				[7624] = 66,
				[56024] = 391,
				[56021] = 388,
				[7630] = 67,
				[50644] = 332,
				[56019] = 386,
				[7636] = 70,
				[26761] = 240,
				[56017] = 383,
				[75259] = 485,
				[75291] = 461,
				[67147] = 430,
				[56001] = 371,
				[55898] = 338,
				[55914] = 352,
				[56009] = 378,
				[56007] = 376,
				[56005] = 374,
				[56003] = 372,
				[55994] = 363,
				[56010] = 379,
				[41207] = 320,
				[64729] = 421,
				[3839] = 20,
				[3840] = 22,
				[3841] = 23,
				[3842] = 24,
				[3843] = 25,
				[3844] = 26,
				[3845] = 27,
				[18408] = 155,
				[3847] = 28,
				[3848] = 29,
				[3849] = 30,
				[18440] = 177,
				[18448] = 184,
				[18456] = 192,
				[55999] = 368,
				[24093] = 214,
				[3855] = 35,
				[3856] = 36,
				[3857] = 37,
				[3858] = 38,
				[6688] = 60,
				[3860] = 40,
				[6692] = 62,
				[3862] = 42,
				[3863] = 43,
				[3864] = 44,
				[3865] = 21,
				[8789] = 93,
				[8793] = 95,
				[3868] = 46,
				[3869] = 47,
				[26776] = 251,
				[3871] = 49,
				[3872] = 50,
				[3873] = 51,
				[75294] = 466,
				[55997] = 366,
				[46130] = 329,
				[31431] = 275,
				[55995] = 364,
				[55993] = 362,
				[31455] = 294,
				[55943] = 361,
				[55923] = 359,
				[3866] = 45,
				[55919] = 355,
				[55901] = 351,
				[55911] = 349,
				[55907] = 346,
				[3852] = 33,
				[75263] = 488,
				[75295] = 458,
				[28205] = 268,
				[60994] = 413,
				[55900] = 340,
				[55777] = 337,
				[55769] = 336,
				[55642] = 335,
				[50647] = 333,
				[49677] = 330,
				[55996] = 365,
				[59589] = 409,
				[56028] = 395,
				[31430] = 274,
				[44950] = 325,
				[44958] = 324,
				[75264] = 462,
				[75296] = 469,
				[40020] = 318,
				[40024] = 316,
				[18401] = 148,
				[18409] = 156,
				[18417] = 164,
				[37883] = 313,
				[37882] = 312,
				[12047] = 104,
				[3915] = 53,
				[18457] = 193,
				[12059] = 112,
				[2385] = 5,
				[2386] = 7,
				[2387] = 4,
				[12075] = 128,
				[2389] = 6,
				[12083] = 136,
				[12087] = 140,
				[12091] = 144,
				[2393] = 9,
				[2394] = 10,
				[23663] = 210,
				[2396] = 13,
				[2397] = 11,
				[26753] = 232,
				[2399] = 16,
				[56029] = 396,
				[2401] = 17,
				[2402] = 15,
				[2403] = 18,
				[75266] = 486,
				[75298] = 436,
				[2406] = 19,
				[36317] = 301,
				[31432] = 276,
				[31440] = 282,
				[31448] = 287,
				[31456] = 295,
				[36315] = 300,
				[31373] = 299,
				[31454] = 293,
				[37873] = 311,
				[26764] = 243,
				[7892] = 73,
				[26760] = 239,
				[26756] = 235,
				[46129] = 326,
				[75299] = 453,
				[24901] = 219,
				[28207] = 269,
				[55902] = 341,
				[28208] = 267,
				[28210] = 266,
				[27725] = 265,
				[26784] = 259,
				[0] = {
					["scandate"] = "11/13/10 16:53:01",
					["name"] = "Tailoring",
					["deadbitmask"] = "HAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAQAAAAAAAAAAgAAAAAIAAAAAAAAAw",
					["checksum"] = 1008760029,
					["patcnt"] = 488,
					["version"] = "4.0.3",
					["build"] = "13277",
					["bitlen"] = 498,
				},
				[55998] = 367,
				[56014] = 381,
				[56030] = 344,
				[75172] = 492,
				[6690] = 61,
				[12045] = 102,
				[75268] = 476,
				[75300] = 439,
				[8483] = 78,
				[12055] = 110,
				[18402] = 149,
				[18410] = 157,
				[18418] = 165,
				[3859] = 39,
				[18434] = 172,
				[18442] = 179,
				[18450] = 186,
				[18458] = 194,
				[75141] = 448,
				[6686] = 59,
				[12067] = 120,
				[12071] = 124,
				[2963] = 3,
				[8758] = 80,
				[8762] = 82,
				[8766] = 84,
				[8770] = 85,
				[8774] = 87,
				[8778] = 88,
				[23664] = 209,
				[8786] = 92,
				[26746] = 226,
				[26754] = 233,
				[26762] = 241,
				[26770] = 245,
				[26778] = 253,
				[8782] = 90,
				[3870] = 48,
				[75270] = 456,
				[75302] = 470,
				[8804] = 100,
				[26752] = 231,
				[31433] = 277,
				[31441] = 283,
				[31449] = 288,
				[18416] = 163,
				[18413] = 161,
				[18421] = 168,
				[18560] = 195,
				[18441] = 178,
				[18449] = 185,
				[75175] = 491,
				[26403] = 223,
				[8797] = 97,
				[46131] = 327,
				[75303] = 471,
				[24902] = 217,
				[22866] = 202,
				[55904] = 343,
				[55920] = 358,
				[24092] = 215,
				[18424] = 171,
				[8489] = 77,
				[12079] = 132,
				[56000] = 369,
				[56016] = 384,
				[75144] = 451,
				[56048] = 400,
				[6521] = 54,
				[67064] = 423,
				[21945] = 199,
				[75304] = 468,
				[12052] = 108,
				[2392] = 8,
				[18403] = 150,
				[18411] = 158,
				[18419] = 166,
				[23662] = 208,
				[8467] = 76,
				[12048] = 105,
				[18451] = 187,
				[3861] = 41,
			},
			[2108] = {
				[0] = {
					["scandate"] = "11/13/10 16:53:15",
					["name"] = "Leatherworking",
					["deadbitmask"] = "hBAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAgBAAAAAAAAAAAAAg",
					["checksum"] = 3299930498,
					["patcnt"] = 603,
					["version"] = "4.0.3",
					["build"] = "13277",
					["bitlen"] = 612,
				},
				[60996] = 479,
				[7133] = 43,
				[35549] = 284,
				[7149] = 46,
				[7153] = 48,
				[78451] = 559,
				[4096] = 35,
				[60613] = 406,
				[23705] = 189,
				[78388] = 529,
				[78452] = 560,
				[36349] = 318,
				[60997] = 478,
				[22922] = 181,
				[50959] = 409,
				[67136] = 503,
				[78453] = 561,
				[10518] = 84,
				[46132] = 356,
				[24121] = 200,
				[10542] = 90,
				[10550] = 96,
				[10558] = 101,
				[10566] = 105,
				[10574] = 109,
				[19102] = 162,
				[26279] = 211,
				[78454] = 562,
				[32465] = 230,
				[32481] = 242,
				[10630] = 98,
				[2152] = 2,
				[60998] = 477,
				[2160] = 601,
				[2162] = 603,
				[2164] = 605,
				[2166] = 610,
				[2168] = 609,
				[50960] = 412,
				[67138] = 508,
				[78455] = 563,
				[46133] = 351,
				[60583] = 380,
				[23706] = 191,
				[60711] = 443,
				[60743] = 461,
				[51568] = 387,
				[36351] = 319,
				[60999] = 482,
				[35520] = 262,
				[35584] = 304,
				[50961] = 411,
				[67140] = 506,
				[78457] = 565,
				[46134] = 352,
				[24122] = 199,
				[19055] = 123,
				[19071] = 135,
				[19087] = 152,
				[19103] = 168,
				[67141] = 505,
				[9064] = 56,
				[9072] = 60,
				[32466] = 231,
				[32482] = 243,
				[32498] = 254,
				[36352] = 320,
				[61000] = 480,
				[35521] = 263,
				[35585] = 311,
				[50962] = 358,
				[67142] = 504,
				[78459] = 567,
				[9208] = 75,
				[39997] = 326,
				[60649] = 427,
				[23707] = 192,
				[67143] = 510,
				[78460] = 568,
				[51570] = 385,
				[36353] = 321,
				[35522] = 264,
				[35554] = 286,
				[50963] = 363,
				[78461] = 569,
				[10487] = 77,
				[10511] = 82,
				[46136] = 355,
				[24123] = 198,
				[19072] = 136,
				[19088] = 153,
				[19104] = 166,
				[78398] = 531,
				[60746] = 462,
				[51571] = 369,
				[32467] = 232,
				[32499] = 255,
				[10647] = 111,
				[61002] = 481,
				[35523] = 265,
				[35555] = 285,
				[35587] = 309,
				[50964] = 423,
				[78399] = 532,
				[78463] = 571,
				[46137] = 349,
				[60651] = 428,
				[67083] = 501,
				[60715] = 445,
				[60747] = 463,
				[51572] = 384,
				[36355] = 322,
				[35524] = 266,
				[35588] = 310,
				[50965] = 383,
				[69386] = 511,
				[46138] = 350,
				[24124] = 196,
				[19073] = 137,
				[19089] = 151,
				[67085] = 499,
				[60716] = 446,
				[9065] = 57,
				[32468] = 233,
				[32500] = 256,
				[28472] = 220,
				[9145] = 62,
				[35525] = 269,
				[35557] = 287,
				[35589] = 308,
				[50966] = 422,
				[78467] = 573,
				[9201] = 71,
				[69388] = 512,
				[46139] = 354,
				[67087] = 497,
				[60749] = 465,
				[8322] = 53,
				[36357] = 323,
				[35526] = 268,
				[35558] = 289,
				[35590] = 306,
				[50967] = 382,
				[78405] = 533,
				[78469] = 575,
				[5244] = 36,
				[10520] = 85,
				[40002] = 328,
				[24125] = 197,
				[10544] = 91,
				[10552] = 97,
				[10560] = 102,
				[10568] = 106,
				[19090] = 154,
				[19106] = 167,
				[60718] = 447,
				[60750] = 466,
				[32469] = 234,
				[32485] = 244,
				[32501] = 257,
				[36358] = 324,
				[28473] = 219,
				[35527] = 267,
				[35559] = 288,
				[50936] = 357,
				[78407] = 535,
				[78471] = 577,
				[40003] = 331,
				[60655] = 430,
				[23710] = 195,
				[60751] = 467,
				[36359] = 325,
				[22815] = 179,
				[3759] = 9,
				[3761] = 11,
				[35528] = 271,
				[35560] = 298,
				[22927] = 184,
				[3769] = 19,
				[3771] = 21,
				[3773] = 23,
				[3775] = 25,
				[3777] = 27,
				[3779] = 29,
				[40004] = 332,
				[19059] = 124,
				[60624] = 415,
				[19091] = 159,
				[19107] = 165,
				[60720] = 448,
				[57683] = 372,
				[32454] = 221,
				[32470] = 235,
				[32502] = 258,
				[3817] = 31,
				[28474] = 218,
				[9146] = 63,
				[35529] = 272,
				[35561] = 292,
				[50938] = 400,
				[50970] = 424,
				[78411] = 537,
				[78475] = 580,
				[9202] = 72,
				[40005] = 330,
				[24654] = 202,
				[41156] = 334,
				[6703] = 40,
				[60721] = 449,
				[78476] = 581,
				[24846] = 203,
				[35530] = 261,
				[35562] = 291,
				[22928] = 185,
				[50971] = 425,
				[78477] = 582,
				[62448] = 485,
				[10529] = 87,
				[28219] = 217,
				[41157] = 337,
				[36074] = 312,
				[60658] = 431,
				[60754] = 469,
				[32455] = 222,
				[32471] = 236,
				[32487] = 245,
				[32503] = 259,
				[35531] = 270,
				[44770] = 344,
				[50940] = 402,
				[78415] = 538,
				[78479] = 584,
				[7954] = 52,
				[24655] = 201,
				[41158] = 339,
				[36075] = 314,
				[60723] = 450,
				[60755] = 470,
				[24847] = 204,
				[35532] = 275,
				[35564] = 293,
				[50941] = 398,
				[78481] = 586,
				[85067] = 597,
				[28220] = 216,
				[19061] = 126,
				[36076] = 313,
				[19093] = 158,
				[9059] = 55,
				[60756] = 471,
				[32456] = 223,
				[32472] = 237,
				[32488] = 247,
				[70554] = 513,
				[85068] = 598,
				[7135] = 44,
				[35533] = 274,
				[7147] = 45,
				[7151] = 47,
				[78419] = 540,
				[9195] = 67,
				[70555] = 514,
				[41160] = 340,
				[60629] = 417,
				[60725] = 451,
				[60757] = 472,
				[70556] = 515,
				[52733] = 370,
				[35534] = 273,
				[50943] = 361,
				[78485] = 590,
				[10482] = 76,
				[10490] = 78,
				[70557] = 516,
				[85007] = 523,
				[28221] = 215,
				[10546] = 92,
				[10554] = 99,
				[41161] = 333,
				[10570] = 107,
				[19094] = 155,
				[60758] = 473,
				[32457] = 224,
				[32473] = 238,
				[2149] = 1,
				[70558] = 517,
				[2153] = 599,
				[10650] = 112,
				[2159] = 3,
				[2161] = 602,
				[2163] = 604,
				[35535] = 278,
				[35567] = 290,
				[50944] = 365,
				[78423] = 542,
				[78487] = 592,
				[70559] = 518,
				[85009] = 525,
				[60599] = 393,
				[60631] = 419,
				[44359] = 343,
				[60759] = 474,
				[70560] = 519,
				[24849] = 206,
				[85010] = 526,
				[35536] = 277,
				[35568] = 299,
				[50945] = 366,
				[78489] = 594,
				[70561] = 520,
				[28222] = 213,
				[19047] = 114,
				[41163] = 335,
				[19079] = 143,
				[19095] = 157,
				[60728] = 453,
				[57691] = 374,
				[32458] = 225,
				[32490] = 248,
				[9148] = 65,
				[35537] = 276,
				[50946] = 368,
				[78427] = 544,
				[9196] = 68,
				[64661] = 494,
				[60601] = 395,
				[60665] = 433,
				[6704] = 41,
				[60729] = 454,
				[57692] = 376,
				[24850] = 207,
				[20854] = 173,
				[42731] = 342,
				[50947] = 367,
				[55199] = 371,
				[10499] = 79,
				[10507] = 80,
				[10531] = 88,
				[28223] = 214,
				[19048] = 116,
				[19064] = 129,
				[19080] = 144,
				[60666] = 434,
				[60730] = 455,
				[10619] = 93,
				[35539] = 280,
				[50948] = 364,
				[44970] = 345,
				[7955] = 50,
				[60731] = 456,
				[57694] = 375,
				[24851] = 208,
				[35540] = 281,
				[35572] = 295,
				[50949] = 359,
				[78433] = 547,
				[28224] = 212,
				[19049] = 117,
				[19065] = 130,
				[19081] = 145,
				[19097] = 156,
				[60732] = 457,
				[9149] = 66,
				[35573] = 294,
				[50950] = 389,
				[7156] = 49,
				[9197] = 69,
				[45100] = 347,
				[60605] = 397,
				[60637] = 420,
				[60669] = 435,
				[20648] = 169,
				[78436] = 548,
				[57696] = 379,
				[2169] = 608,
				[2167] = 607,
				[2165] = 606,
				[2158] = 600,
				[84950] = 596,
				[78490] = 595,
				[78488] = 593,
				[78486] = 591,
				[78484] = 589,
				[78483] = 588,
				[78482] = 587,
				[35574] = 296,
				[50951] = 388,
				[78480] = 585,
				[21943] = 175,
				[78478] = 583,
				[78474] = 579,
				[78473] = 578,
				[78470] = 576,
				[78468] = 574,
				[10516] = 83,
				[78464] = 572,
				[78462] = 570,
				[78458] = 566,
				[10548] = 95,
				[10556] = 100,
				[10564] = 104,
				[10572] = 108,
				[23190] = 186,
				[60702] = 438,
				[60734] = 458,
				[78456] = 564,
				[32461] = 226,
				[36078] = 316,
				[32493] = 249,
				[23709] = 194,
				[3764] = 14,
				[60697] = 437,
				[19092] = 160,
				[60627] = 416,
				[78444] = 552,
				[78437] = 549,
				[35543] = 282,
				[35575] = 302,
				[50952] = 390,
				[78438] = 550,
				[78439] = 551,
				[78432] = 546,
				[78428] = 545,
				[78424] = 543,
				[78420] = 541,
				[78416] = 539,
				[78410] = 536,
				[78406] = 534,
				[78396] = 530,
				[78380] = 528,
				[22923] = 182,
				[85008] = 524,
				[60607] = 403,
				[19050] = 118,
				[60671] = 436,
				[60703] = 439,
				[22711] = 177,
				[22727] = 178,
				[19058] = 115,
				[19066] = 131,
				[19074] = 138,
				[24703] = 210,
				[19098] = 164,
				[9058] = 54,
				[3756] = 8,
				[50939] = 399,
				[3760] = 10,
				[3762] = 12,
				[35544] = 283,
				[35576] = 300,
				[50953] = 391,
				[3770] = 20,
				[3772] = 22,
				[3774] = 24,
				[3776] = 26,
				[3778] = 28,
				[3780] = 33,
				[50942] = 401,
				[9070] = 59,
				[9074] = 61,
				[60712] = 444,
				[35591] = 307,
				[20853] = 172,
				[19051] = 119,
				[60608] = 404,
				[19083] = 150,
				[22921] = 180,
				[60704] = 440,
				[40006] = 329,
				[57699] = 373,
				[32462] = 227,
				[32478] = 239,
				[32494] = 250,
				[7126] = 42,
				[3816] = 30,
				[42546] = 341,
				[40001] = 327,
				[67137] = 509,
				[67139] = 507,
				[23399] = 187,
				[20855] = 174,
				[35577] = 301,
				[50954] = 392,
				[78379] = 527,
				[35582] = 303,
				[9198] = 70,
				[9206] = 73,
				[67082] = 502,
				[6661] = 37,
				[60600] = 394,
				[67084] = 500,
				[45117] = 348,
				[67080] = 495,
				[63197] = 493,
				[63200] = 492,
				[63199] = 491,
				[63198] = 490,
				[6702] = 38,
				[23703] = 188,
				[6705] = 39,
				[60737] = 460,
				[19067] = 132,
				[19075] = 139,
				[19078] = 142,
				[63195] = 487,
				[63194] = 486,
				[32489] = 246,
				[32497] = 253,
				[24848] = 205,
				[35580] = 305,
				[60760] = 476,
				[60761] = 475,
				[10562] = 103,
				[62176] = 483,
				[50955] = 360,
				[60752] = 468,
				[78445] = 553,
				[60640] = 421,
				[2881] = 4,
				[60748] = 464,
				[60735] = 459,
				[10509] = 81,
				[41162] = 338,
				[10525] = 86,
				[10533] = 89,
				[19076] = 140,
				[19060] = 125,
				[19052] = 120,
				[19068] = 133,
				[19084] = 147,
				[19100] = 161,
				[60706] = 442,
				[78446] = 554,
				[57701] = 378,
				[32463] = 228,
				[32479] = 240,
				[32495] = 251,
				[20649] = 170,
				[60727] = 452,
				[10632] = 110,
				[41164] = 336,
				[9147] = 64,
				[51569] = 386,
				[19082] = 149,
				[36077] = 317,
				[62177] = 484,
				[50956] = 410,
				[9207] = 74,
				[78447] = 555,
				[60660] = 432,
				[7953] = 51,
				[60652] = 429,
				[67086] = 498,
				[19077] = 141,
				[46135] = 353,
				[44953] = 346,
				[23708] = 193,
				[20650] = 171,
				[3753] = 7,
				[60630] = 418,
				[60611] = 405,
				[60643] = 426,
				[23704] = 190,
				[3763] = 13,
				[78448] = 556,
				[3765] = 15,
				[3766] = 16,
				[3767] = 17,
				[3768] = 18,
				[22926] = 183,
				[60622] = 414,
				[50958] = 413,
				[60620] = 407,
				[67081] = 496,
				[19054] = 122,
				[19062] = 127,
				[19070] = 134,
				[63201] = 489,
				[50957] = 408,
				[19086] = 148,
				[78449] = 557,
				[9068] = 58,
				[10621] = 94,
				[3818] = 32,
				[60604] = 396,
				[63196] = 488,
				[4097] = 34,
				[60705] = 441,
				[60584] = 381,
				[57690] = 377,
				[19063] = 128,
				[19053] = 121,
				[35563] = 297,
				[19085] = 146,
				[19101] = 163,
				[24940] = 209,
				[78450] = 558,
				[36079] = 315,
				[32464] = 229,
				[32480] = 241,
				[32496] = 252,
				[35538] = 279,
				[22331] = 176,
			},
---------------------------------------------------------------------------------------
}
